GNATdoc.Documentation = {
  "label": "Gdk.Cairo",
  "summary": [
  ],
  "description": [
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Create",
          "line": 39,
          "column": 13,
          "src": "srcs/gdk-cairo.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 39,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Create",
                      "href": "docs/gdk.cairo.html#L39C13"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Window",
                      "href": "docs/gdk.cairo.html#L39C21"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdk.Gdk_Window",
                      "href": "docs/gdk.html#L43C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Cairo_Context",
                      "href": "docs/cairo.html#L2764C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Creates a Cairo context for drawing to Drawable.\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Note that due to double-buffering, Cairo contexts created\n"
                },
                {
                  "kind": "span",
                  "text": "in a GTK+ expose event handler cannot be cached and reused\n"
                },
                {
                  "kind": "span",
                  "text": "between different expose events.\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Returns a newly created Cairo context. The result should be freed with\n"
                },
                {
                  "kind": "span",
                  "text": "Cairo.Destroy.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "Window",
              "line": 39,
              "column": 21,
              "type": {
                "label": "Gdk.Gdk_Window",
                "docHref": "docs/gdk.html#L43C9"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Set_Source_Pixbuf",
          "line": 49,
          "column": 14,
          "src": "srcs/gdk-cairo.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 49,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Set_Source_Pixbuf",
                      "href": "docs/gdk.cairo.html#L49C14"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 50,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Cr",
                      "href": "docs/gdk.cairo.html#L50C7"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Cairo_Context",
                      "href": "docs/cairo.html#L2764C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 51,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Pixbuf",
                      "href": "docs/gdk.cairo.html#L51C7"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdk_Pixbuf",
                      "href": "docs/gdk.pixbuf.html#L55C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 52,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Pixbuf_X",
                      "href": "docs/gdk.cairo.html#L52C7"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdouble",
                      "href": "docs/glib.html#L61C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 53,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Pixbuf_Y",
                      "href": "docs/gdk.cairo.html#L53C7"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdouble",
                      "href": "docs/glib.html#L61C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Cr: a Cairo_Context\n"
                },
                {
                  "kind": "span",
                  "text": "Pixbuf: a Gdk_Pixbuf\n"
                },
                {
                  "kind": "span",
                  "text": "Pixbuf_X: X coordinate of location to place upper left corner of Pixbuf\n"
                },
                {
                  "kind": "span",
                  "text": "Pixbuf_Y: Y coordinate of location to place upper left corner of Pixbuf\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Sets the given pixbuf as the source pattern for the Cairo context.\n"
                },
                {
                  "kind": "span",
                  "text": "The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned\n"
                },
                {
                  "kind": "span",
                  "text": "so that the origin of Pixbuf is Pixbuf_X, Pixbuf_Y\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "Cr",
              "line": 50,
              "column": 7,
              "type": {
                "label": "Cairo.Cairo_Context",
                "docHref": "docs/cairo.html#L77C9"
              },
              "description": [
              ]
            },
            {
              "label": "Pixbuf",
              "line": 51,
              "column": 7,
              "type": {
                "label": "Gdk.Pixbuf.Gdk_Pixbuf",
                "docHref": "docs/gdk.pixbuf.html#L55C9"
              },
              "description": [
              ]
            },
            {
              "label": "Pixbuf_X",
              "line": 52,
              "column": 7,
              "type": {
                "label": "Glib.Gdouble",
                "docHref": "docs/glib.html#L61C9"
              },
              "description": [
              ]
            },
            {
              "label": "Pixbuf_Y",
              "line": 53,
              "column": 7,
              "type": {
                "label": "Glib.Gdouble",
                "docHref": "docs/glib.html#L61C9"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Create_From_Pixbuf",
          "line": 63,
          "column": 13,
          "src": "srcs/gdk-cairo.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 63,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Create_From_Pixbuf",
                      "href": "docs/gdk.cairo.html#L63C13"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 64,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Pixbuf",
                      "href": "docs/gdk.cairo.html#L64C8"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdk_Pixbuf",
                      "href": "docs/gdk.pixbuf.html#L55C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 65,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Scale",
                      "href": "docs/gdk.cairo.html#L65C8"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gint",
                      "href": "docs/glib.html#L51C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 66,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "For_Window",
                      "href": "docs/gdk.cairo.html#L66C8"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdk.Gdk_Window",
                      "href": "docs/gdk.html#L43C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "null"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Cairo_Surface",
                      "href": "docs/cairo.html#L2767C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Creates an image surface with the same contents as the pixbuf.\n"
                },
                {
                  "kind": "span",
                  "text": "This is similar to the work done by Set_Source_Pixbuf, but allows you\n"
                },
                {
                  "kind": "span",
                  "text": "to specify the scale factor for the screen, i.e. adapt to high-dpi\n"
                },
                {
                  "kind": "span",
                  "text": "(Retina) screens.\n"
                },
                {
                  "kind": "span",
                  "text": "You can then use Gtk.Style_Context.Render_Icon_Surface to paint the\n"
                },
                {
                  "kind": "span",
                  "text": "surface onto a Cairo_Context, and then destroy the surface.\n"
                },
                {
                  "kind": "span",
                  "text": "See also the convenient wrapper Gtkada.Style.Draw_Pixbuf_With_Scale.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "Pixbuf",
              "line": 64,
              "column": 8,
              "type": {
                "label": "Gdk.Pixbuf.Gdk_Pixbuf",
                "docHref": "docs/gdk.pixbuf.html#L55C9"
              },
              "description": [
              ]
            },
            {
              "label": "Scale",
              "line": 65,
              "column": 8,
              "type": {
                "label": "Glib.Gint",
                "docHref": "docs/glib.html#L51C9"
              },
              "description": [
              ]
            },
            {
              "label": "For_Window",
              "line": 66,
              "column": 8,
              "type": {
                "label": "Gdk.Gdk_Window",
                "docHref": "docs/gdk.html#L43C9"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Set_Source_Color",
          "line": 75,
          "column": 14,
          "src": "srcs/gdk-cairo.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 75,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Set_Source_Color",
                      "href": "docs/gdk.cairo.html#L75C14"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 76,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Cr",
                      "href": "docs/gdk.cairo.html#L76C7"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Cairo_Context",
                      "href": "docs/cairo.html#L2764C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 77,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Color",
                      "href": "docs/gdk.cairo.html#L77C7"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdk_Color",
                      "href": "docs/gdk.color.html#L171C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "Cr",
              "line": 76,
              "column": 7,
              "type": {
                "label": "Cairo.Cairo_Context",
                "docHref": "docs/cairo.html#L77C9"
              },
              "description": [
              ]
            },
            {
              "label": "Color",
              "line": 77,
              "column": 7,
              "type": {
                "label": "Gdk.Color.Gdk_Color",
                "docHref": "docs/gdk.color.html#L46C9"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Set_Source_RGBA",
          "line": 78,
          "column": 14,
          "src": "srcs/gdk-cairo.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 78,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Set_Source_RGBA",
                      "href": "docs/gdk.cairo.html#L78C14"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 79,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Cr",
                      "href": "docs/gdk.cairo.html#L79C7"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Cairo_Context",
                      "href": "docs/cairo.html#L2764C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 80,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Color",
                      "href": "docs/gdk.cairo.html#L80C7"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdk.RGBA.Gdk_RGBA",
                      "href": "docs/gdk.rgba.html#L38C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Set the specified Color as the source of Cr.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "Cr",
              "line": 79,
              "column": 7,
              "type": {
                "label": "Cairo.Cairo_Context",
                "docHref": "docs/cairo.html#L77C9"
              },
              "description": [
              ]
            },
            {
              "label": "Color",
              "line": 80,
              "column": 7,
              "type": {
                "label": "Gdk.RGBA.Gdk_RGBA",
                "docHref": "docs/gdk.rgba.html#L38C9"
              },
              "description": [
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};