GNATdoc.EntitiesCategory = {
  "label": "Simple Types",
  "entities": [
    {
      "label": "Action_Entry_Array",
      "docHref": "docs/gtk.action_group.html#L371C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L371"
    },
    {
      "label": "Action_Group_Interface_Descr",
      "docHref": "docs/glib.action_group.html#L618C12",
      "declared": "Glib.Action_Group",
      "srcHref": "srcs/glib-action_group.ads.html#L618"
    },
    {
      "label": "Action_Interface_Descr",
      "docHref": "docs/glib.action.html#L326C12",
      "declared": "Glib.Action",
      "srcHref": "srcs/glib-action.ads.html#L326"
    },
    {
      "label": "Action_Map_Interface_Descr",
      "docHref": "docs/glib.action_map.html#L206C12",
      "declared": "Glib.Action_Map",
      "srcHref": "srcs/glib-action_map.ads.html#L206"
    },
    {
      "label": "Actionable_Interface_Descr",
      "docHref": "docs/gtk.actionable.html#L213C12",
      "declared": "Gtk.Actionable",
      "srcHref": "srcs/gtk-actionable.ads.html#L213"
    },
    {
      "label": "Alignment",
      "docHref": "docs/pango.enums.html#L32C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L32"
    },
    {
      "label": "Alignment_Style",
      "docHref": "docs/gtkada.canvas_view.html#L1327C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1327"
    },
    {
      "label": "Allocation_Int",
      "docHref": "docs/glib.html#L100C12",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L100"
    },
    {
      "label": "Allowed_Areas",
      "docHref": "docs/gtkada.mdi.html#L92C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L92"
    },
    {
      "label": "Alpha_Mode",
      "docHref": "docs/gdk.pixbuf.html#L70C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L70"
    },
    {
      "label": "Alpha_Range",
      "docHref": "docs/gdk.pixbuf.html#L140C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L140"
    },
    {
      "label": "Animation_Progress",
      "docHref": "docs/gtkada.canvas_view.views.html#L86C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L86"
    },
    {
      "label": "Animation_Status",
      "docHref": "docs/gtkada.canvas_view.views.html#L329C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L329"
    },
    {
      "label": "Application_Interface_Descr",
      "docHref": "docs/glib.application.html#L1040C12",
      "declared": "Glib.Application",
      "srcHref": "srcs/glib-application.ads.html#L1040"
    },
    {
      "label": "ARGB32_Array",
      "docHref": "docs/cairo.image_surface.html#L85C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L85"
    },
    {
      "label": "array_of_Gdk_RGBA",
      "docHref": "docs/gdk.rgba.html#L119C9",
      "declared": "Gdk.RGBA",
      "srcHref": "srcs/gdk-rgba.ads.html#L119"
    },
    {
      "label": "array_of_gsize",
      "docHref": "docs/glib.html#L77C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L77"
    },
    {
      "label": "Arrow_Head",
      "docHref": "docs/gtkada.style.html#L262C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L262"
    },
    {
      "label": "Arrow_Type",
      "docHref": "docs/gtkada.canvas.html#L180C9",
      "declared": "Gtkada.Canvas",
      "srcHref": "srcs/gtkada-canvas.ads.html#L180"
    },
    {
      "label": "Attr_Type",
      "docHref": "docs/pango.enums.html#L42C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L42"
    },
    {
      "label": "Binding_Flags",
      "docHref": "docs/glib.object.html#L491C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L491"
    },
    {
      "label": "Boolean_Array",
      "docHref": "docs/glib.html#L119C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L119"
    },
    {
      "label": "Boolean_List",
      "docHref": "docs/glib.key_file.html#L267C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L267"
    },
    {
      "label": "Breadth_Vertices_Array",
      "docHref": "docs/glib.graphs.html#L158C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L158"
    },
    {
      "label": "Button_Range",
      "docHref": "docs/gtkada.dialogs.html#L44C9",
      "declared": "Gtkada.Dialogs",
      "srcHref": "srcs/gtkada-dialogs.ads.html#L44"
    },
    {
      "label": "Byte",
      "docHref": "docs/cairo.image_surface.html#L68C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L68"
    },
    {
      "label": "Byte_Array",
      "docHref": "docs/cairo.image_surface.html#L91C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L91"
    },
    {
      "label": "C_GValues",
      "docHref": "docs/glib.values.html#L53C9",
      "declared": "Glib.Values",
      "srcHref": "srcs/glib-values.ads.html#L53"
    },
    {
      "label": "Cairo_Antialias",
      "docHref": "docs/cairo.html#L772C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L772"
    },
    {
      "label": "Cairo_Color_Val",
      "docHref": "docs/gtkada.style.html#L52C12",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L52"
    },
    {
      "label": "Cairo_Content",
      "docHref": "docs/cairo.html#L316C12",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L316"
    },
    {
      "label": "Cairo_Context",
      "docHref": "docs/cairo.html#L77C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L77"
    },
    {
      "label": "Cairo_Extend",
      "docHref": "docs/cairo.pattern.html#L89C9",
      "declared": "Cairo.Pattern",
      "srcHref": "srcs/cairo-pattern.ads.html#L89"
    },
    {
      "label": "Cairo_Fill_Rule",
      "docHref": "docs/cairo.html#L815C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L815"
    },
    {
      "label": "Cairo_Filter",
      "docHref": "docs/cairo.pattern.html#L111C9",
      "declared": "Cairo.Pattern",
      "srcHref": "srcs/cairo-pattern.ads.html#L111"
    },
    {
      "label": "Cairo_Font_Face",
      "docHref": "docs/cairo.html#L1777C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1777"
    },
    {
      "label": "Cairo_Font_Options",
      "docHref": "docs/cairo.html#L2017C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2017"
    },
    {
      "label": "Cairo_Font_Slant",
      "docHref": "docs/cairo.html#L1937C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1937"
    },
    {
      "label": "Cairo_Font_Type",
      "docHref": "docs/cairo.html#L2308C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2308"
    },
    {
      "label": "Cairo_Font_Weight",
      "docHref": "docs/cairo.html#L1944C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1944"
    },
    {
      "label": "Cairo_Format",
      "docHref": "docs/cairo.image_surface.html#L39C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L39"
    },
    {
      "label": "Cairo_Format",
      "docHref": "docs/cairo.html#L133C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L133"
    },
    {
      "label": "Cairo_Hint_Metrics",
      "docHref": "docs/cairo.html#L1999C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1999"
    },
    {
      "label": "Cairo_Hint_Style",
      "docHref": "docs/cairo.html#L1971C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1971"
    },
    {
      "label": "Cairo_Line_Cap",
      "docHref": "docs/cairo.html#L867C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L867"
    },
    {
      "label": "Cairo_Line_Join",
      "docHref": "docs/cairo.html#L895C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L895"
    },
    {
      "label": "Cairo_Operator",
      "docHref": "docs/cairo.html#L574C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L574"
    },
    {
      "label": "Cairo_Path_Data_Type",
      "docHref": "docs/cairo.html#L2529C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2529"
    },
    {
      "label": "Cairo_Pattern",
      "docHref": "docs/cairo.html#L172C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L172"
    },
    {
      "label": "Cairo_Pattern_Type",
      "docHref": "docs/cairo.pattern.html#L64C9",
      "declared": "Cairo.Pattern",
      "srcHref": "srcs/cairo-pattern.ads.html#L64"
    },
    {
      "label": "Cairo_Rectangle_Array",
      "docHref": "docs/cairo.html#L1706C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1706"
    },
    {
      "label": "Cairo_Region",
      "docHref": "docs/cairo.region.html#L37C9",
      "declared": "Cairo.Region",
      "srcHref": "srcs/cairo-region.ads.html#L37"
    },
    {
      "label": "Cairo_Region_Overlap",
      "docHref": "docs/cairo.region.html#L54C9",
      "declared": "Cairo.Region",
      "srcHref": "srcs/cairo-region.ads.html#L54"
    },
    {
      "label": "Cairo_Scaled_Font",
      "docHref": "docs/cairo.html#L1764C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1764"
    },
    {
      "label": "Cairo_Status",
      "docHref": "docs/cairo.html#L216C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L216"
    },
    {
      "label": "Cairo_Subpixel_Order",
      "docHref": "docs/cairo.html#L1950C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1950"
    },
    {
      "label": "Cairo_Surface",
      "docHref": "docs/cairo.html#L92C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L92"
    },
    {
      "label": "Cairo_Surface_Type",
      "docHref": "docs/cairo.surface.html#L41C9",
      "declared": "Cairo.Surface",
      "srcHref": "srcs/cairo-surface.ads.html#L41"
    },
    {
      "label": "Cairo_Text_Cluster_Flags",
      "docHref": "docs/cairo.html#L1843C12",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L1843"
    },
    {
      "label": "Canvas_Event_Type",
      "docHref": "docs/gtkada.canvas_view.html#L1158C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1158"
    },
    {
      "label": "Cell_Editable_Interface_Descr",
      "docHref": "docs/gtk.cell_editable.html#L164C12",
      "declared": "Gtk.Cell_Editable",
      "srcHref": "srcs/gtk-cell_editable.ads.html#L164"
    },
    {
      "label": "Chars_Ptr_Array",
      "docHref": "docs/gtkada.types.html#L39C12",
      "declared": "Gtkada.Types",
      "srcHref": "srcs/gtkada-types.ads.html#L39"
    },
    {
      "label": "Child_Flags",
      "docHref": "docs/gtkada.mdi.html#L201C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L201"
    },
    {
      "label": "Child_Group",
      "docHref": "docs/gtkada.mdi.html#L221C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L221"
    },
    {
      "label": "Child_Layout_Strategy",
      "docHref": "docs/gtkada.canvas_view.html#L1315C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1315"
    },
    {
      "label": "Child_Position",
      "docHref": "docs/gtkada.mdi.html#L271C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L271"
    },
    {
      "label": "Color_Chooser_Interface_Descr",
      "docHref": "docs/gtk.color_chooser.html#L213C12",
      "declared": "Gtk.Color_Chooser",
      "srcHref": "srcs/gtk-color_chooser.ads.html#L213"
    },
    {
      "label": "Color_Range",
      "docHref": "docs/cairo.html#L684C12",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L684"
    },
    {
      "label": "Context_Id",
      "docHref": "docs/gtk.status_bar.html#L75C9",
      "declared": "Gtk.Status_Bar",
      "srcHref": "srcs/gtk-status_bar.ads.html#L75"
    },
    {
      "label": "Coordinate_Array",
      "docHref": "docs/gtkada.canvas_view.astar.html#L33C9",
      "declared": "Gtkada.Canvas_View.Astar",
      "srcHref": "srcs/gtkada-canvas_view-astar.ads.html#L33"
    },
    {
      "label": "Coverage_Level",
      "docHref": "docs/pango.enums.html#L73C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L73"
    },
    {
      "label": "Dash_Array",
      "docHref": "docs/cairo.html#L926C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L926"
    },
    {
      "label": "Debug_Level_Change",
      "docHref": "docs/gtkada.multi_paned.html#L264C9",
      "declared": "Gtkada.Multi_Paned",
      "srcHref": "srcs/gtkada-multi_paned.ads.html#L264"
    },
    {
      "label": "Depth_Vertices_Array",
      "docHref": "docs/glib.graphs.html#L193C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L193"
    },
    {
      "label": "Dest_Defaults",
      "docHref": "docs/gtk.dnd.html#L97C9",
      "declared": "Gtk.Dnd",
      "srcHref": "srcs/gtk-dnd.ads.html#L97"
    },
    {
      "label": "Direction",
      "docHref": "docs/pango.enums.html#L82C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L82"
    },
    {
      "label": "Double_List",
      "docHref": "docs/glib.key_file.html#L311C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L311"
    },
    {
      "label": "Drag_Action",
      "docHref": "docs/gdk.dnd.html#L38C12",
      "declared": "Gdk.Dnd",
      "srcHref": "srcs/gdk-dnd.ads.html#L38"
    },
    {
      "label": "Drag_Protocol",
      "docHref": "docs/gdk.dnd.html#L39C12",
      "declared": "Gdk.Dnd",
      "srcHref": "srcs/gdk-dnd.ads.html#L39"
    },
    {
      "label": "Edges_Array",
      "docHref": "docs/glib.graphs.html#L51C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L51"
    },
    {
      "label": "Editable_Interface_Descr",
      "docHref": "docs/gtk.editable.html#L409C12",
      "declared": "Gtk.Editable",
      "srcHref": "srcs/gtk-editable.ads.html#L409"
    },
    {
      "label": "Export_Format",
      "docHref": "docs/gtkada.canvas_view.html#L1140C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1140"
    },
    {
      "label": "File_Format",
      "docHref": "docs/gdk.pixbuf.html#L134C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L134"
    },
    {
      "label": "Flags_Int_Value",
      "docHref": "docs/glib.properties.creation.html#L130C9",
      "declared": "Glib.Properties.Creation",
      "srcHref": "srcs/glib-properties-creation.ads.html#L130"
    },
    {
      "label": "Font_Chooser_Interface_Descr",
      "docHref": "docs/gtk.font_chooser.html#L284C12",
      "declared": "Gtk.Font_Chooser",
      "srcHref": "srcs/gtk-font_chooser.ads.html#L284"
    },
    {
      "label": "Font_Mask",
      "docHref": "docs/pango.enums.html#L107C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L107"
    },
    {
      "label": "G_Connect_Flags",
      "docHref": "docs/glib.html#L237C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L237"
    },
    {
      "label": "G_Icon",
      "docHref": "docs/glib.g_icon.html#L66C9",
      "declared": "Glib.G_Icon",
      "srcHref": "srcs/glib-g_icon.ads.html#L66"
    },
    {
      "label": "G_Key_File_Error",
      "docHref": "docs/glib.key_file.html#L99C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L99"
    },
    {
      "label": "G_Key_File_Flags",
      "docHref": "docs/glib.key_file.html#L108C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L108"
    },
    {
      "label": "G_Priority",
      "docHref": "docs/glib.main.html#L274C9",
      "declared": "Glib.Main",
      "srcHref": "srcs/glib-main.ads.html#L274"
    },
    {
      "label": "G_Source_Id",
      "docHref": "docs/glib.main.html#L150C9",
      "declared": "Glib.Main",
      "srcHref": "srcs/glib-main.ads.html#L150"
    },
    {
      "label": "G_Source_Type",
      "docHref": "docs/glib.main.html#L207C9",
      "declared": "Glib.Main",
      "srcHref": "srcs/glib-main.ads.html#L207"
    },
    {
      "label": "G_Unicode_Type",
      "docHref": "docs/glib.unicode.html#L51C9",
      "declared": "Glib.Unicode",
      "srcHref": "srcs/glib-unicode.ads.html#L51"
    },
    {
      "label": "Gaction",
      "docHref": "docs/glib.action.html#L68C9",
      "declared": "Glib.Action",
      "srcHref": "srcs/glib-action.ads.html#L68"
    },
    {
      "label": "GAction_Entry_Array",
      "docHref": "docs/glib.action_map.html#L67C9",
      "declared": "Glib.Action_Map",
      "srcHref": "srcs/glib-action_map.ads.html#L67"
    },
    {
      "label": "Gaction_Group",
      "docHref": "docs/glib.action_group.html#L86C9",
      "declared": "Glib.Action_Group",
      "srcHref": "srcs/glib-action_group.ads.html#L86"
    },
    {
      "label": "Gaction_Map",
      "docHref": "docs/glib.action_map.html#L51C9",
      "declared": "Glib.Action_Map",
      "srcHref": "srcs/glib-action_map.ads.html#L51"
    },
    {
      "label": "GApplication_Flags",
      "docHref": "docs/glib.application.html#L162C9",
      "declared": "Glib.Application",
      "srcHref": "srcs/glib-application.ads.html#L162"
    },
    {
      "label": "Gboolean",
      "docHref": "docs/glib.html#L53C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L53"
    },
    {
      "label": "Gboolean_Array",
      "docHref": "docs/glib.html#L107C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L107"
    },
    {
      "label": "Gchar",
      "docHref": "docs/glib.html#L52C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L52"
    },
    {
      "label": "Gcolor_Int",
      "docHref": "docs/glib.html#L97C12",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L97"
    },
    {
      "label": "Gdk_Atom_Array",
      "docHref": "docs/gdk.dnd.html#L34C9",
      "declared": "Gdk.Dnd",
      "srcHref": "srcs/gdk-dnd.ads.html#L34"
    },
    {
      "label": "Gdk_Atom_Array",
      "docHref": "docs/gdk.types.html#L69C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L69"
    },
    {
      "label": "Gdk_Axis_Use",
      "docHref": "docs/gdk.types.html#L71C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L71"
    },
    {
      "label": "Gdk_Byte_Order",
      "docHref": "docs/gdk.types.html#L81C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L81"
    },
    {
      "label": "Gdk_Color_Array",
      "docHref": "docs/gdk.color.html#L53C9",
      "declared": "Gdk.Color",
      "srcHref": "srcs/gdk-color.ads.html#L53"
    },
    {
      "label": "Gdk_Color_Unconstrained_Array",
      "docHref": "docs/gdk.color.html#L56C9",
      "declared": "Gdk.Color",
      "srcHref": "srcs/gdk-color.ads.html#L56"
    },
    {
      "label": "Gdk_Colorspace",
      "docHref": "docs/gdk.pixbuf.html#L76C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L76"
    },
    {
      "label": "Gdk_Crossing_Mode",
      "docHref": "docs/gdk.event.html#L240C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L240"
    },
    {
      "label": "Gdk_Cursor_Type",
      "docHref": "docs/gdk.cursor.html#L40C9",
      "declared": "Gdk.Cursor",
      "srcHref": "srcs/gdk-cursor.ads.html#L40"
    },
    {
      "label": "Gdk_Device_Type",
      "docHref": "docs/gdk.device.html#L52C9",
      "declared": "Gdk.Device",
      "srcHref": "srcs/gdk-device.ads.html#L52"
    },
    {
      "label": "Gdk_Drag_Action",
      "docHref": "docs/gdk.drag_contexts.html#L38C9",
      "declared": "Gdk.Drag_Contexts",
      "srcHref": "srcs/gdk-drag_contexts.ads.html#L38"
    },
    {
      "label": "Gdk_Drag_Protocol",
      "docHref": "docs/gdk.drag_contexts.html#L50C9",
      "declared": "Gdk.Drag_Contexts",
      "srcHref": "srcs/gdk-drag_contexts.ads.html#L50"
    },
    {
      "label": "Gdk_Event_Mask",
      "docHref": "docs/gdk.event.html#L159C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L159"
    },
    {
      "label": "Gdk_Event_Type",
      "docHref": "docs/gdk.event.html#L61C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L61"
    },
    {
      "label": "Gdk_Extension_Mode",
      "docHref": "docs/gdk.types.html#L84C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L84"
    },
    {
      "label": "Gdk_Frame_Clock_Phase",
      "docHref": "docs/gdk.frame_clock.html#L72C9",
      "declared": "Gdk.Frame_Clock",
      "srcHref": "srcs/gdk-frame_clock.ads.html#L72"
    },
    {
      "label": "Gdk_Fullscreen_Mode",
      "docHref": "docs/gdk.window.html#L204C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L204"
    },
    {
      "label": "Gdk_Grab_Ownership",
      "docHref": "docs/gdk.types.html#L155C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L155"
    },
    {
      "label": "Gdk_Grab_Status",
      "docHref": "docs/gdk.types.html#L144C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L144"
    },
    {
      "label": "Gdk_Gravity",
      "docHref": "docs/gdk.window.html#L174C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L174"
    },
    {
      "label": "Gdk_IC_Attributes_Type",
      "docHref": "docs/gdk.types.html#L88C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L88"
    },
    {
      "label": "Gdk_IM_Style",
      "docHref": "docs/gdk.types.html#L115C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L115"
    },
    {
      "label": "Gdk_Input_Condition",
      "docHref": "docs/gdk.types.html#L128C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L128"
    },
    {
      "label": "Gdk_Input_Mode",
      "docHref": "docs/gdk.types.html#L131C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L131"
    },
    {
      "label": "Gdk_Input_Source",
      "docHref": "docs/gdk.types.html#L134C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L134"
    },
    {
      "label": "Gdk_Interp_Type",
      "docHref": "docs/gdk.pixbuf.html#L82C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L82"
    },
    {
      "label": "Gdk_Key_Type",
      "docHref": "docs/gdk.types.html#L164C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L164"
    },
    {
      "label": "Gdk_Modifier_Intent",
      "docHref": "docs/gdk.types.html#L189C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L189"
    },
    {
      "label": "Gdk_Modifier_Type",
      "docHref": "docs/gdk.types.html#L167C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L167"
    },
    {
      "label": "Gdk_Notify_Type",
      "docHref": "docs/gdk.event.html#L227C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L227"
    },
    {
      "label": "Gdk_Owner_Change",
      "docHref": "docs/gdk.event.html#L282C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L282"
    },
    {
      "label": "Gdk_Points_Array",
      "docHref": "docs/gdk.types.html#L42C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L42"
    },
    {
      "label": "Gdk_Prop_Mode",
      "docHref": "docs/gdk.property.html#L34C9",
      "declared": "Gdk.Property",
      "srcHref": "srcs/gdk-property.ads.html#L34"
    },
    {
      "label": "Gdk_Property_State",
      "docHref": "docs/gdk.event.html#L253C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L253"
    },
    {
      "label": "Gdk_Rectangle_Array",
      "docHref": "docs/gdk.rectangle.html#L36C9",
      "declared": "Gdk.Rectangle",
      "srcHref": "srcs/gdk-rectangle.ads.html#L36"
    },
    {
      "label": "Gdk_Rgb_Dither",
      "docHref": "docs/gdk.pixbuf.html#L144C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L144"
    },
    {
      "label": "Gdk_Scroll_Direction",
      "docHref": "docs/gdk.event.html#L218C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L218"
    },
    {
      "label": "Gdk_Segments_Array",
      "docHref": "docs/gdk.types.html#L53C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L53"
    },
    {
      "label": "Gdk_Setting_Action",
      "docHref": "docs/gdk.event.html#L274C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L274"
    },
    {
      "label": "Gdk_Visibility_State",
      "docHref": "docs/gdk.event.html#L210C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L210"
    },
    {
      "label": "Gdk_Visual_Type",
      "docHref": "docs/gdk.visual.html#L42C9",
      "declared": "Gdk.Visual",
      "srcHref": "srcs/gdk-visual.ads.html#L42"
    },
    {
      "label": "Gdk_Visual_Type_Array",
      "docHref": "docs/gdk.visual.html#L51C9",
      "declared": "Gdk.Visual",
      "srcHref": "srcs/gdk-visual.ads.html#L51"
    },
    {
      "label": "Gdk_WChar",
      "docHref": "docs/gdk.types.html#L204C12",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L204"
    },
    {
      "label": "Gdk_Window_Attributes_Type",
      "docHref": "docs/gdk.window.html#L81C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L81"
    },
    {
      "label": "Gdk_Window_Class",
      "docHref": "docs/gdk.window.html#L48C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L48"
    },
    {
      "label": "Gdk_Window_Edge",
      "docHref": "docs/gdk.window.html#L58C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L58"
    },
    {
      "label": "Gdk_Window_Hints",
      "docHref": "docs/gdk.window.html#L100C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L100"
    },
    {
      "label": "Gdk_Window_State",
      "docHref": "docs/gdk.event.html#L260C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L260"
    },
    {
      "label": "Gdk_Window_Type",
      "docHref": "docs/gdk.window.html#L70C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L70"
    },
    {
      "label": "Gdk_Window_Type_Hint",
      "docHref": "docs/gdk.window.html#L122C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L122"
    },
    {
      "label": "Gdk_WMDecoration",
      "docHref": "docs/gdk.window.html#L147C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L147"
    },
    {
      "label": "Gdk_WMFunction",
      "docHref": "docs/gdk.window.html#L161C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L161"
    },
    {
      "label": "Gdk_WString",
      "docHref": "docs/gdk.types.html#L205C12",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L205"
    },
    {
      "label": "Gdouble",
      "docHref": "docs/glib.html#L61C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L61"
    },
    {
      "label": "Gdouble_Array",
      "docHref": "docs/glib.html#L117C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L117"
    },
    {
      "label": "GFile",
      "docHref": "docs/gtkada.application.html#L76C9",
      "declared": "Gtkada.Application",
      "srcHref": "srcs/gtkada-application.ads.html#L76"
    },
    {
      "label": "GFile_Array",
      "docHref": "docs/gtkada.application.html#L77C9",
      "declared": "Gtkada.Application",
      "srcHref": "srcs/gtkada-application.ads.html#L77"
    },
    {
      "label": "Gfloat",
      "docHref": "docs/glib.html#L60C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L60"
    },
    {
      "label": "Gfloat_Array",
      "docHref": "docs/glib.html#L115C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L115"
    },
    {
      "label": "Gint",
      "docHref": "docs/glib.html#L51C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L51"
    },
    {
      "label": "Gint16",
      "docHref": "docs/glib.html#L64C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L64"
    },
    {
      "label": "Gint32",
      "docHref": "docs/glib.html#L65C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L65"
    },
    {
      "label": "Gint64",
      "docHref": "docs/glib.html#L66C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L66"
    },
    {
      "label": "Gint8",
      "docHref": "docs/glib.html#L63C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L63"
    },
    {
      "label": "Gint_Array",
      "docHref": "docs/glib.html#L110C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L110"
    },
    {
      "label": "Glib_Traverse_Flags",
      "docHref": "docs/glib.enums.html#L29C9",
      "declared": "Glib.Enums",
      "srcHref": "srcs/glib-enums.ads.html#L29"
    },
    {
      "label": "Glib_Traverse_Type",
      "docHref": "docs/glib.enums.html#L36C9",
      "declared": "Glib.Enums",
      "srcHref": "srcs/glib-enums.ads.html#L36"
    },
    {
      "label": "Glong",
      "docHref": "docs/glib.html#L50C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L50"
    },
    {
      "label": "Glong_Array",
      "docHref": "docs/glib.html#L109C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L109"
    },
    {
      "label": "GNotification_Priority",
      "docHref": "docs/glib.notification.html#L61C9",
      "declared": "Glib.Notification",
      "srcHref": "srcs/glib-notification.ads.html#L61"
    },
    {
      "label": "GObject_Class",
      "docHref": "docs/glib.object.html#L233C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L233"
    },
    {
      "label": "GOption_Arg",
      "docHref": "docs/glib.option.html#L56C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L56"
    },
    {
      "label": "GOption_Entry_Array",
      "docHref": "docs/glib.option.html#L114C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L114"
    },
    {
      "label": "GOption_Error",
      "docHref": "docs/glib.option.html#L49C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L49"
    },
    {
      "label": "GOption_Flags",
      "docHref": "docs/glib.option.html#L73C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L73"
    },
    {
      "label": "GQuark",
      "docHref": "docs/glib.html#L204C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L204"
    },
    {
      "label": "Grange_Float",
      "docHref": "docs/glib.html#L94C12",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L94"
    },
    {
      "label": "Gravity",
      "docHref": "docs/pango.enums.html#L120C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L120"
    },
    {
      "label": "GravityHint",
      "docHref": "docs/pango.enums.html#L139C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L139"
    },
    {
      "label": "Gshort",
      "docHref": "docs/glib.html#L49C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L49"
    },
    {
      "label": "Gshort_Array",
      "docHref": "docs/glib.html#L108C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L108"
    },
    {
      "label": "Gsize",
      "docHref": "docs/glib.html#L73C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L73"
    },
    {
      "label": "Gssize",
      "docHref": "docs/glib.html#L74C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L74"
    },
    {
      "label": "Gtk_Accel_Flags",
      "docHref": "docs/gtk.accel_group.html#L55C9",
      "declared": "Gtk.Accel_Group",
      "srcHref": "srcs/gtk-accel_group.ads.html#L55"
    },
    {
      "label": "Gtk_Accel_Flags",
      "docHref": "docs/gtk.target_list.html#L46C9",
      "declared": "Gtk.Target_List",
      "srcHref": "srcs/gtk-target_list.ads.html#L46"
    },
    {
      "label": "Gtk_Actionable",
      "docHref": "docs/gtk.actionable.html#L56C9",
      "declared": "Gtk.Actionable",
      "srcHref": "srcs/gtk-actionable.ads.html#L56"
    },
    {
      "label": "Gtk_Activatable",
      "docHref": "docs/gtk.activatable.html#L196C9",
      "declared": "Gtk.Activatable",
      "srcHref": "srcs/gtk-activatable.ads.html#L196"
    },
    {
      "label": "Gtk_Align",
      "docHref": "docs/gtk.widget.html#L347C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L347"
    },
    {
      "label": "Gtk_Application_Inhibit_Flags",
      "docHref": "docs/gtk.application.html#L112C9",
      "declared": "Gtk.Application",
      "srcHref": "srcs/gtk-application.ads.html#L112"
    },
    {
      "label": "Gtk_Arrow_Type",
      "docHref": "docs/gtk.enums.html#L33C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L33"
    },
    {
      "label": "Gtk_Assistant_Page_Type",
      "docHref": "docs/gtk.assistant.html#L70C9",
      "declared": "Gtk.Assistant",
      "srcHref": "srcs/gtk-assistant.ads.html#L70"
    },
    {
      "label": "Gtk_Attach_Options",
      "docHref": "docs/gtk.enums.html#L42C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L42"
    },
    {
      "label": "Gtk_Baseline_Position",
      "docHref": "docs/gtk.enums.html#L148C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L148"
    },
    {
      "label": "Gtk_Buildable",
      "docHref": "docs/gtk.buildable.html#L51C9",
      "declared": "Gtk.Buildable",
      "srcHref": "srcs/gtk-buildable.ads.html#L51"
    },
    {
      "label": "Gtk_Button_Box_Style",
      "docHref": "docs/gtk.enums.html#L51C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L51"
    },
    {
      "label": "Gtk_Buttons_Type",
      "docHref": "docs/gtk.message_dialog.html#L91C9",
      "declared": "Gtk.Message_Dialog",
      "srcHref": "srcs/gtk-message_dialog.ads.html#L91"
    },
    {
      "label": "Gtk_Calendar_Display_Options",
      "docHref": "docs/gtk.calendar.html#L66C9",
      "declared": "Gtk.Calendar",
      "srcHref": "srcs/gtk-calendar.ads.html#L66"
    },
    {
      "label": "Gtk_Cell_Editable",
      "docHref": "docs/gtk.cell_editable.html#L42C9",
      "declared": "Gtk.Cell_Editable",
      "srcHref": "srcs/gtk-cell_editable.ads.html#L42"
    },
    {
      "label": "Gtk_Cell_Layout",
      "docHref": "docs/gtk.cell_layout.html#L116C9",
      "declared": "Gtk.Cell_Layout",
      "srcHref": "srcs/gtk-cell_layout.ads.html#L116"
    },
    {
      "label": "Gtk_Cell_Renderer_Mode",
      "docHref": "docs/gtk.cell_renderer.html#L98C9",
      "declared": "Gtk.Cell_Renderer",
      "srcHref": "srcs/gtk-cell_renderer.ads.html#L98"
    },
    {
      "label": "Gtk_Cell_Renderer_State",
      "docHref": "docs/gtk.cell_renderer.html#L86C9",
      "declared": "Gtk.Cell_Renderer",
      "srcHref": "srcs/gtk-cell_renderer.ads.html#L86"
    },
    {
      "label": "Gtk_Color_Chooser",
      "docHref": "docs/gtk.color_chooser.html#L47C9",
      "declared": "Gtk.Color_Chooser",
      "srcHref": "srcs/gtk-color_chooser.ads.html#L47"
    },
    {
      "label": "Gtk_Corner_Type",
      "docHref": "docs/gtk.enums.html#L70C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L70"
    },
    {
      "label": "Gtk_Css_Section_Type",
      "docHref": "docs/gtk.css_section.html#L45C9",
      "declared": "Gtk.Css_Section",
      "srcHref": "srcs/gtk-css_section.ads.html#L45"
    },
    {
      "label": "Gtk_Delete_Type",
      "docHref": "docs/gtk.enums.html#L80C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L80"
    },
    {
      "label": "Gtk_Dest_Defaults",
      "docHref": "docs/gtk.tool_palette.html#L101C9",
      "declared": "Gtk.Tool_Palette",
      "srcHref": "srcs/gtk-tool_palette.ads.html#L101"
    },
    {
      "label": "Gtk_Dialog_Flags",
      "docHref": "docs/gtk.dialog.html#L146C9",
      "declared": "Gtk.Dialog",
      "srcHref": "srcs/gtk-dialog.ads.html#L146"
    },
    {
      "label": "Gtk_Direction_Type",
      "docHref": "docs/gtk.enums.html#L92C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L92"
    },
    {
      "label": "Gtk_Drag_Result",
      "docHref": "docs/gtk.enums.html#L102C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L102"
    },
    {
      "label": "Gtk_Editable",
      "docHref": "docs/gtk.editable.html#L66C9",
      "declared": "Gtk.Editable",
      "srcHref": "srcs/gtk-editable.ads.html#L66"
    },
    {
      "label": "Gtk_Entry_Icon_Position",
      "docHref": "docs/gtk.gentry.html#L104C9",
      "declared": "Gtk.GEntry",
      "srcHref": "srcs/gtk-gentry.ads.html#L104"
    },
    {
      "label": "Gtk_Event_Sequence_State",
      "docHref": "docs/gtk.enums.html#L312C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L312"
    },
    {
      "label": "Gtk_Expander_Style",
      "docHref": "docs/gtk.enums.html#L113C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L113"
    },
    {
      "label": "Gtk_File_Chooser",
      "docHref": "docs/gtk.file_chooser.html#L147C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L147"
    },
    {
      "label": "Gtk_File_Chooser_Action",
      "docHref": "docs/gtk.file_chooser.html#L150C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L150"
    },
    {
      "label": "Gtk_File_Chooser_Confirmation",
      "docHref": "docs/gtk.file_chooser.html#L159C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L159"
    },
    {
      "label": "Gtk_File_Chooser_Error",
      "docHref": "docs/gtk.file_chooser.html#L170C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L170"
    },
    {
      "label": "Gtk_File_Filter_Flags",
      "docHref": "docs/gtk.file_filter.html#L72C9",
      "declared": "Gtk.File_Filter",
      "srcHref": "srcs/gtk-file_filter.ads.html#L72"
    },
    {
      "label": "Gtk_Font_Chooser",
      "docHref": "docs/gtk.font_chooser.html#L49C9",
      "declared": "Gtk.Font_Chooser",
      "srcHref": "srcs/gtk-font_chooser.ads.html#L49"
    },
    {
      "label": "Gtk_Icon_Lookup_Flags",
      "docHref": "docs/gtk.icon_theme.html#L102C9",
      "declared": "Gtk.Icon_Theme",
      "srcHref": "srcs/gtk-icon_theme.ads.html#L102"
    },
    {
      "label": "Gtk_Icon_Size",
      "docHref": "docs/gtk.enums.html#L122C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L122"
    },
    {
      "label": "Gtk_Icon_View_Drop_Position",
      "docHref": "docs/gtk.icon_view.html#L68C9",
      "declared": "Gtk.Icon_View",
      "srcHref": "srcs/gtk-icon_view.ads.html#L68"
    },
    {
      "label": "Gtk_Image_Type",
      "docHref": "docs/gtk.image.html#L111C9",
      "declared": "Gtk.Image",
      "srcHref": "srcs/gtk-image.ads.html#L111"
    },
    {
      "label": "Gtk_Input_Hints",
      "docHref": "docs/gtk.enums.html#L191C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L191"
    },
    {
      "label": "Gtk_Input_Purpose",
      "docHref": "docs/gtk.enums.html#L213C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L213"
    },
    {
      "label": "Gtk_Junction_Sides",
      "docHref": "docs/gtk.enums.html#L134C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L134"
    },
    {
      "label": "Gtk_Justification",
      "docHref": "docs/gtk.enums.html#L160C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L160"
    },
    {
      "label": "Gtk_Level_Bar_Mode",
      "docHref": "docs/gtk.enums.html#L320C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L320"
    },
    {
      "label": "Gtk_License",
      "docHref": "docs/gtk.about_dialog.html#L79C9",
      "declared": "Gtk.About_Dialog",
      "srcHref": "srcs/gtk-about_dialog.ads.html#L79"
    },
    {
      "label": "Gtk_Menu_Direction_Type",
      "docHref": "docs/gtk.enums.html#L169C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L169"
    },
    {
      "label": "Gtk_Message_Type",
      "docHref": "docs/gtk.message_dialog.html#L82C9",
      "declared": "Gtk.Message_Dialog",
      "srcHref": "srcs/gtk-message_dialog.ads.html#L82"
    },
    {
      "label": "Gtk_Movement_Step",
      "docHref": "docs/gtk.enums.html#L177C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L177"
    },
    {
      "label": "Gtk_Notebook_Tab",
      "docHref": "docs/gtk.notebook.html#L76C9",
      "declared": "Gtk.Notebook",
      "srcHref": "srcs/gtk-notebook.ads.html#L76"
    },
    {
      "label": "Gtk_Number_Up_Layout",
      "docHref": "docs/gtk.enums.html#L243C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L243"
    },
    {
      "label": "Gtk_Orientable",
      "docHref": "docs/gtk.orientable.html#L45C9",
      "declared": "Gtk.Orientable",
      "srcHref": "srcs/gtk-orientable.ads.html#L45"
    },
    {
      "label": "Gtk_Orientation",
      "docHref": "docs/gtk.enums.html#L256C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L256"
    },
    {
      "label": "Gtk_Pack_Direction",
      "docHref": "docs/gtk.enums.html#L264C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L264"
    },
    {
      "label": "Gtk_Pack_Type",
      "docHref": "docs/gtk.enums.html#L273C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L273"
    },
    {
      "label": "Gtk_Page_Orientation",
      "docHref": "docs/gtk.enums.html#L280C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L280"
    },
    {
      "label": "Gtk_Page_Range_Array",
      "docHref": "docs/gtk.print_settings.html#L58C9",
      "declared": "Gtk.Print_Settings",
      "srcHref": "srcs/gtk-print_settings.ads.html#L58"
    },
    {
      "label": "Gtk_Page_Set",
      "docHref": "docs/gtk.enums.html#L288C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L288"
    },
    {
      "label": "Gtk_Pan_Direction",
      "docHref": "docs/gtk.enums.html#L295C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L295"
    },
    {
      "label": "Gtk_Path_Priority_Type",
      "docHref": "docs/gtk.enums.html#L328C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L328"
    },
    {
      "label": "Gtk_Path_Type",
      "docHref": "docs/gtk.enums.html#L346C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L346"
    },
    {
      "label": "Gtk_Policy_Type",
      "docHref": "docs/gtk.enums.html#L353C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L353"
    },
    {
      "label": "Gtk_Position_Type",
      "docHref": "docs/gtk.enums.html#L361C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L361"
    },
    {
      "label": "Gtk_Print_Duplex",
      "docHref": "docs/gtk.enums.html#L371C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L371"
    },
    {
      "label": "Gtk_Print_Error",
      "docHref": "docs/gtk.print_operation.html#L132C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L132"
    },
    {
      "label": "Gtk_Print_Operation_Action",
      "docHref": "docs/gtk.print_operation.html#L123C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L123"
    },
    {
      "label": "Gtk_Print_Operation_Preview",
      "docHref": "docs/gtk.print_operation_preview.html#L35C9",
      "declared": "Gtk.Print_Operation_Preview",
      "srcHref": "srcs/gtk-print_operation_preview.ads.html#L35"
    },
    {
      "label": "Gtk_Print_Operation_Result",
      "docHref": "docs/gtk.print_operation.html#L115C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L115"
    },
    {
      "label": "Gtk_Print_Pages",
      "docHref": "docs/gtk.enums.html#L378C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L378"
    },
    {
      "label": "Gtk_Print_Quality",
      "docHref": "docs/gtk.enums.html#L386C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L386"
    },
    {
      "label": "Gtk_Print_Status",
      "docHref": "docs/gtk.print_operation.html#L101C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L101"
    },
    {
      "label": "Gtk_Propagation_Phase",
      "docHref": "docs/gtk.enums.html#L303C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L303"
    },
    {
      "label": "Gtk_Recent_Chooser",
      "docHref": "docs/gtk.recent_chooser.html#L49C9",
      "declared": "Gtk.Recent_Chooser",
      "srcHref": "srcs/gtk-recent_chooser.ads.html#L49"
    },
    {
      "label": "Gtk_Recent_Filter_Flags",
      "docHref": "docs/gtk.recent_filter.html#L79C9",
      "declared": "Gtk.Recent_Filter",
      "srcHref": "srcs/gtk-recent_filter.ads.html#L79"
    },
    {
      "label": "Gtk_Recent_Sort_Type",
      "docHref": "docs/gtk.recent_chooser.html#L52C9",
      "declared": "Gtk.Recent_Chooser",
      "srcHref": "srcs/gtk-recent_chooser.ads.html#L52"
    },
    {
      "label": "Gtk_Region_Flags",
      "docHref": "docs/gtk.enums.html#L394C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L394"
    },
    {
      "label": "Gtk_Relief_Style",
      "docHref": "docs/gtk.enums.html#L405C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L405"
    },
    {
      "label": "Gtk_Resize_Mode",
      "docHref": "docs/gtk.enums.html#L412C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L412"
    },
    {
      "label": "Gtk_Response_Type",
      "docHref": "docs/gtk.dialog.html#L160C9",
      "declared": "Gtk.Dialog",
      "srcHref": "srcs/gtk-dialog.ads.html#L160"
    },
    {
      "label": "Gtk_Revealer_Transition_Type",
      "docHref": "docs/gtk.revealer.html#L52C9",
      "declared": "Gtk.Revealer",
      "srcHref": "srcs/gtk-revealer.ads.html#L52"
    },
    {
      "label": "Gtk_Scroll_Step",
      "docHref": "docs/gtk.enums.html#L419C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L419"
    },
    {
      "label": "Gtk_Scroll_Type",
      "docHref": "docs/gtk.enums.html#L429C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L429"
    },
    {
      "label": "Gtk_Scrollable",
      "docHref": "docs/gtk.scrollable.html#L69C9",
      "declared": "Gtk.Scrollable",
      "srcHref": "srcs/gtk-scrollable.ads.html#L69"
    },
    {
      "label": "Gtk_Scrollable_Policy",
      "docHref": "docs/gtk.enums.html#L449C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L449"
    },
    {
      "label": "Gtk_Selection_Mode",
      "docHref": "docs/gtk.enums.html#L456C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L456"
    },
    {
      "label": "Gtk_Sensitivity_Type",
      "docHref": "docs/gtk.enums.html#L464C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L464"
    },
    {
      "label": "Gtk_Shadow_Type",
      "docHref": "docs/gtk.enums.html#L472C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L472"
    },
    {
      "label": "Gtk_Size_Request_Mode",
      "docHref": "docs/gtk.enums.html#L486C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L486"
    },
    {
      "label": "Gtk_Sort_Type",
      "docHref": "docs/gtk.enums.html#L494C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L494"
    },
    {
      "label": "Gtk_Spin_Button_Update_Policy",
      "docHref": "docs/gtk.spin_button.html#L118C9",
      "declared": "Gtk.Spin_Button",
      "srcHref": "srcs/gtk-spin_button.ads.html#L118"
    },
    {
      "label": "Gtk_Spin_Type",
      "docHref": "docs/gtk.spin_button.html#L106C9",
      "declared": "Gtk.Spin_Button",
      "srcHref": "srcs/gtk-spin_button.ads.html#L106"
    },
    {
      "label": "Gtk_Stack_Transition_Type",
      "docHref": "docs/gtk.stack.html#L54C9",
      "declared": "Gtk.Stack",
      "srcHref": "srcs/gtk-stack.ads.html#L54"
    },
    {
      "label": "Gtk_State_Flags",
      "docHref": "docs/gtk.enums.html#L500C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L500"
    },
    {
      "label": "Gtk_State_Type",
      "docHref": "docs/gtk.enums.html#L520C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L520"
    },
    {
      "label": "Gtk_Stock_Item_Array",
      "docHref": "docs/gtk.stock.html#L143C9",
      "declared": "Gtk.Stock",
      "srcHref": "srcs/gtk-stock.ads.html#L143"
    },
    {
      "label": "Gtk_Style_Provider",
      "docHref": "docs/gtk.style_provider.html#L41C9",
      "declared": "Gtk.Style_Provider",
      "srcHref": "srcs/gtk-style_provider.ads.html#L41"
    },
    {
      "label": "Gtk_Target_Flags",
      "docHref": "docs/gtk.enums.html#L535C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L535"
    },
    {
      "label": "Gtk_Text_Direction",
      "docHref": "docs/gtk.enums.html#L545C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L545"
    },
    {
      "label": "Gtk_Text_Search_Flags",
      "docHref": "docs/gtk.text_iter.html#L45C9",
      "declared": "Gtk.Text_Iter",
      "srcHref": "srcs/gtk-text_iter.ads.html#L45"
    },
    {
      "label": "Gtk_Text_View_Layer",
      "docHref": "docs/gtk.text_view.html#L60C9",
      "declared": "Gtk.Text_View",
      "srcHref": "srcs/gtk-text_view.ads.html#L60"
    },
    {
      "label": "Gtk_Text_Window_Type",
      "docHref": "docs/gtk.enums.html#L552C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L552"
    },
    {
      "label": "Gtk_Tool_Palette_Drag_Targets",
      "docHref": "docs/gtk.tool_palette.html#L112C9",
      "declared": "Gtk.Tool_Palette",
      "srcHref": "srcs/gtk-tool_palette.ads.html#L112"
    },
    {
      "label": "Gtk_Tool_Shell",
      "docHref": "docs/gtk.tool_shell.html#L42C9",
      "declared": "Gtk.Tool_Shell",
      "srcHref": "srcs/gtk-tool_shell.ads.html#L42"
    },
    {
      "label": "Gtk_Toolbar_Space_Style",
      "docHref": "docs/gtk.enums.html#L571C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L571"
    },
    {
      "label": "Gtk_Toolbar_Style",
      "docHref": "docs/gtk.enums.html#L577C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L577"
    },
    {
      "label": "Gtk_Tree_Drag_Dest",
      "docHref": "docs/gtk.tree_drag_dest.html#L35C9",
      "declared": "Gtk.Tree_Drag_Dest",
      "srcHref": "srcs/gtk-tree_drag_dest.ads.html#L35"
    },
    {
      "label": "Gtk_Tree_Drag_Source",
      "docHref": "docs/gtk.tree_drag_source.html#L35C9",
      "declared": "Gtk.Tree_Drag_Source",
      "srcHref": "srcs/gtk-tree_drag_source.ads.html#L35"
    },
    {
      "label": "Gtk_Tree_Model",
      "docHref": "docs/gtk.tree_model.html#L196C9",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L196"
    },
    {
      "label": "Gtk_Tree_Sortable",
      "docHref": "docs/gtk.tree_sortable.html#L41C9",
      "declared": "Gtk.Tree_Sortable",
      "srcHref": "srcs/gtk-tree_sortable.ads.html#L41"
    },
    {
      "label": "Gtk_Tree_View_Column_Sizing",
      "docHref": "docs/gtk.tree_view_column.html#L58C9",
      "declared": "Gtk.Tree_View_Column",
      "srcHref": "srcs/gtk-tree_view_column.ads.html#L58"
    },
    {
      "label": "Gtk_Tree_View_Drop_Position",
      "docHref": "docs/gtk.tree_view.html#L106C9",
      "declared": "Gtk.Tree_View",
      "srcHref": "srcs/gtk-tree_view.ads.html#L106"
    },
    {
      "label": "Gtk_Tree_View_Grid_Lines",
      "docHref": "docs/gtk.enums.html#L563C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L563"
    },
    {
      "label": "Gtk_Type",
      "docHref": "docs/gtk.html#L61C12",
      "declared": "Gtk",
      "srcHref": "srcs/gtk.ads.html#L61"
    },
    {
      "label": "Gtk_Unit",
      "docHref": "docs/gtk.enums.html#L588C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L588"
    },
    {
      "label": "Gtk_Widget_Help_Type",
      "docHref": "docs/gtk.widget.html#L371C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L371"
    },
    {
      "label": "Gtk_Window_Position",
      "docHref": "docs/gtk.enums.html#L596C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L596"
    },
    {
      "label": "Gtk_Window_Type",
      "docHref": "docs/gtk.enums.html#L608C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L608"
    },
    {
      "label": "Gtk_Wrap_Mode",
      "docHref": "docs/gtk.enums.html#L626C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L626"
    },
    {
      "label": "Gtkada_Application_Flags",
      "docHref": "docs/gtkada.application.html#L52C9",
      "declared": "Gtkada.Application",
      "srcHref": "srcs/gtkada-application.ads.html#L52"
    },
    {
      "label": "GType",
      "docHref": "docs/glib.html#L285C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L285"
    },
    {
      "label": "GType_Array",
      "docHref": "docs/glib.html#L303C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L303"
    },
    {
      "label": "GType_Class",
      "docHref": "docs/glib.html#L298C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L298"
    },
    {
      "label": "GType_Interface",
      "docHref": "docs/glib.types.html#L90C9",
      "declared": "Glib.Types",
      "srcHref": "srcs/glib-types.ads.html#L90"
    },
    {
      "label": "Guchar",
      "docHref": "docs/glib.html#L58C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L58"
    },
    {
      "label": "Guchar_Array",
      "docHref": "docs/glib.html#L116C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L116"
    },
    {
      "label": "Guint",
      "docHref": "docs/glib.html#L57C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L57"
    },
    {
      "label": "Guint16",
      "docHref": "docs/glib.html#L69C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L69"
    },
    {
      "label": "Guint32",
      "docHref": "docs/glib.html#L70C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L70"
    },
    {
      "label": "Guint32_Array",
      "docHref": "docs/glib.html#L112C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L112"
    },
    {
      "label": "Guint64",
      "docHref": "docs/glib.html#L71C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L71"
    },
    {
      "label": "Guint8",
      "docHref": "docs/glib.html#L68C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L68"
    },
    {
      "label": "Guint_Array",
      "docHref": "docs/glib.html#L111C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L111"
    },
    {
      "label": "Gulong",
      "docHref": "docs/glib.html#L56C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L56"
    },
    {
      "label": "Gulong_Array",
      "docHref": "docs/glib.html#L114C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L114"
    },
    {
      "label": "Gunichar",
      "docHref": "docs/glib.html#L79C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L79"
    },
    {
      "label": "Gushort",
      "docHref": "docs/glib.html#L55C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L55"
    },
    {
      "label": "Gushort_Array",
      "docHref": "docs/glib.html#L113C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L113"
    },
    {
      "label": "GValue_Array",
      "docHref": "docs/glib.values.html#L56C9",
      "declared": "Glib.Values",
      "srcHref": "srcs/glib-values.ads.html#L56"
    },
    {
      "label": "GVariant_Class",
      "docHref": "docs/glib.variant.html#L252C9",
      "declared": "Glib.Variant",
      "srcHref": "srcs/glib-variant.ads.html#L252"
    },
    {
      "label": "Image_Quality",
      "docHref": "docs/gdk.pixbuf.html#L137C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L137"
    },
    {
      "label": "Integer_List",
      "docHref": "docs/glib.key_file.html#L352C9",
      "declared": "Glib.Key_File",
      "srcHref": "srcs/glib-key_file.ads.html#L352"
    },
    {
      "label": "Interface_Description",
      "docHref": "docs/glib.object.html#L432C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L432"
    },
    {
      "label": "Item_Coordinate",
      "docHref": "docs/gtkada.canvas_view.html#L225C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L225"
    },
    {
      "label": "Item_Kind_Filter",
      "docHref": "docs/gtkada.canvas_view.html#L642C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L642"
    },
    {
      "label": "Item_Point_Array",
      "docHref": "docs/gtkada.canvas_view.html#L258C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L258"
    },
    {
      "label": "Item_Side",
      "docHref": "docs/gtkada.canvas.html#L703C9",
      "declared": "Gtkada.Canvas",
      "srcHref": "srcs/gtkada-canvas.ads.html#L703"
    },
    {
      "label": "Log_Handler_Id",
      "docHref": "docs/glib.messages.html#L68C9",
      "declared": "Glib.Messages",
      "srcHref": "srcs/glib-messages.ads.html#L68"
    },
    {
      "label": "Log_Level_Flags",
      "docHref": "docs/glib.messages.html#L33C9",
      "declared": "Glib.Messages",
      "srcHref": "srcs/glib-messages.ads.html#L33"
    },
    {
      "label": "Long_Array",
      "docHref": "docs/glib.html#L122C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L122"
    },
    {
      "label": "Manager_Item_Type",
      "docHref": "docs/gtk.ui_manager.html#L219C9",
      "declared": "Gtk.UI_Manager",
      "srcHref": "srcs/gtk-ui_manager.ads.html#L219"
    },
    {
      "label": "MDI_Child_Array",
      "docHref": "docs/gtkada.mdi.html#L78C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L78"
    },
    {
      "label": "Message_Dialog_Buttons",
      "docHref": "docs/gtkada.dialogs.html#L41C9",
      "declared": "Gtkada.Dialogs",
      "srcHref": "srcs/gtkada-dialogs.ads.html#L41"
    },
    {
      "label": "Message_Dialog_Type",
      "docHref": "docs/gtkada.dialogs.html#L58C9",
      "declared": "Gtkada.Dialogs",
      "srcHref": "srcs/gtkada-dialogs.ads.html#L58"
    },
    {
      "label": "Message_Id",
      "docHref": "docs/gtk.status_bar.html#L76C9",
      "declared": "Gtk.Status_Bar",
      "srcHref": "srcs/gtk-status_bar.ads.html#L76"
    },
    {
      "label": "Model_Coordinate",
      "docHref": "docs/gtkada.canvas_view.html#L223C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L223"
    },
    {
      "label": "Model_Point_Array",
      "docHref": "docs/gtkada.canvas_view.html#L255C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L255"
    },
    {
      "label": "Module_Flags",
      "docHref": "docs/glib.module.html#L32C9",
      "declared": "Glib.Module",
      "srcHref": "srcs/glib-module.ads.html#L32"
    },
    {
      "label": "Move_Direction",
      "docHref": "docs/gtkada.canvas_view.views.html#L426C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L426"
    },
    {
      "label": "Overflow_Style",
      "docHref": "docs/gtkada.canvas_view.html#L1346C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1346"
    },
    {
      "label": "Pango_Ellipsize_Mode",
      "docHref": "docs/pango.layout.html#L65C9",
      "declared": "Pango.Layout",
      "srcHref": "srcs/pango-layout.ads.html#L65"
    },
    {
      "label": "Pango_Font_Face_Array",
      "docHref": "docs/pango.font_face.html#L41C9",
      "declared": "Pango.Font_Face",
      "srcHref": "srcs/pango-font_face.ads.html#L41"
    },
    {
      "label": "Pango_Font_Family_Array",
      "docHref": "docs/pango.font_family.html#L42C9",
      "declared": "Pango.Font_Family",
      "srcHref": "srcs/pango-font_family.ads.html#L42"
    },
    {
      "label": "Pango_Glyph",
      "docHref": "docs/pango.html#L41C9",
      "declared": "Pango",
      "srcHref": "srcs/pango.ads.html#L41"
    },
    {
      "label": "Pango_Script",
      "docHref": "docs/pango.language.html#L47C9",
      "declared": "Pango.Language",
      "srcHref": "srcs/pango-language.ads.html#L47"
    },
    {
      "label": "Pango_Script_Array",
      "docHref": "docs/pango.language.html#L237C9",
      "declared": "Pango.Language",
      "srcHref": "srcs/pango-language.ads.html#L237"
    },
    {
      "label": "Pango_Tab_Align",
      "docHref": "docs/pango.tabs.html#L44C9",
      "declared": "Pango.Tabs",
      "srcHref": "srcs/pango-tabs.ads.html#L44"
    },
    {
      "label": "Param_Flags",
      "docHref": "docs/glib.html#L271C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L271"
    },
    {
      "label": "Param_Spec_Array",
      "docHref": "docs/glib.html#L268C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L268"
    },
    {
      "label": "Path_Data_Array",
      "docHref": "docs/cairo.html#L2624C9",
      "declared": "Cairo",
      "srcHref": "srcs/cairo.ads.html#L2624"
    },
    {
      "label": "Percent",
      "docHref": "docs/gtkada.style.html#L114C12",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L114"
    },
    {
      "label": "Point_Array",
      "docHref": "docs/gtkada.style.html#L315C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L315"
    },
    {
      "label": "Print_Operation_Preview_Interface_Descr",
      "docHref": "docs/gtk.print_operation_preview.html#L187C12",
      "declared": "Gtk.Print_Operation_Preview",
      "srcHref": "srcs/gtk-print_operation_preview.ads.html#L187"
    },
    {
      "label": "Priority",
      "docHref": "docs/gtk.style_provider.html#L74C12",
      "declared": "Gtk.Style_Provider",
      "srcHref": "srcs/gtk-style_provider.ads.html#L74"
    },
    {
      "label": "Property",
      "docHref": "docs/glib.generic_properties.html#L68C12",
      "declared": "Glib.Generic_Properties.Generic_Internal_Discrete_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L68"
    },
    {
      "label": "Property",
      "docHref": "docs/glib.generic_properties.html#L116C12",
      "declared": "Glib.Generic_Properties.Generic_Enumeration_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L116"
    },
    {
      "label": "Property",
      "docHref": "docs/glib.generic_properties.html#L180C12",
      "declared": "Glib.Generic_Properties.Generic_Internal_Boxed_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L180"
    },
    {
      "label": "Property",
      "docHref": "docs/glib.html#L254C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L254"
    },
    {
      "label": "Property_Address",
      "docHref": "docs/glib.properties.html#L122C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L122"
    },
    {
      "label": "Property_Alignment",
      "docHref": "docs/pango.enums.html#L233C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L233"
    },
    {
      "label": "Property_Attr_Type",
      "docHref": "docs/pango.enums.html#L237C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L237"
    },
    {
      "label": "Property_Boolean",
      "docHref": "docs/glib.properties.html#L119C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L119"
    },
    {
      "label": "Property_Boxed",
      "docHref": "docs/glib.properties.html#L126C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L126"
    },
    {
      "label": "Property_C_Proxy",
      "docHref": "docs/glib.properties.html#L114C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L114"
    },
    {
      "label": "Property_Char",
      "docHref": "docs/glib.properties.html#L102C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L102"
    },
    {
      "label": "Property_Char_RO",
      "docHref": "docs/glib.properties.html#L103C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L103"
    },
    {
      "label": "Property_Coverage_Level",
      "docHref": "docs/pango.enums.html#L241C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L241"
    },
    {
      "label": "Property_Direction",
      "docHref": "docs/pango.enums.html#L245C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L245"
    },
    {
      "label": "Property_Double",
      "docHref": "docs/glib.properties.html#L124C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L124"
    },
    {
      "label": "Property_Enum",
      "docHref": "docs/glib.properties.html#L125C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L125"
    },
    {
      "label": "Property_Float",
      "docHref": "docs/glib.properties.html#L123C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L123"
    },
    {
      "label": "Property_Font_Description",
      "docHref": "docs/pango.font.html#L378C9",
      "declared": "Pango.Font",
      "srcHref": "srcs/pango-font.ads.html#L378"
    },
    {
      "label": "Property_Font_Mask",
      "docHref": "docs/pango.enums.html#L249C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L249"
    },
    {
      "label": "Property_GApplication_Flags",
      "docHref": "docs/glib.application.html#L183C9",
      "declared": "Glib.Application",
      "srcHref": "srcs/glib-application.ads.html#L183"
    },
    {
      "label": "Property_Gdk_Color",
      "docHref": "docs/gdk.color.html#L143C9",
      "declared": "Gdk.Color",
      "srcHref": "srcs/gdk-color.ads.html#L143"
    },
    {
      "label": "Property_Gdk_Crossing_Mode",
      "docHref": "docs/gdk.event.html#L800C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L800"
    },
    {
      "label": "Property_Gdk_Cursor_Type",
      "docHref": "docs/gdk.cursor.html#L212C9",
      "declared": "Gdk.Cursor",
      "srcHref": "srcs/gdk-cursor.ads.html#L212"
    },
    {
      "label": "Property_Gdk_Device_Type",
      "docHref": "docs/gdk.device.html#L70C9",
      "declared": "Gdk.Device",
      "srcHref": "srcs/gdk-device.ads.html#L70"
    },
    {
      "label": "Property_Gdk_Drag_Action",
      "docHref": "docs/gdk.drag_contexts.html#L69C9",
      "declared": "Gdk.Drag_Contexts",
      "srcHref": "srcs/gdk-drag_contexts.ads.html#L69"
    },
    {
      "label": "Property_Gdk_Drag_Protocol",
      "docHref": "docs/gdk.drag_contexts.html#L73C9",
      "declared": "Gdk.Drag_Contexts",
      "srcHref": "srcs/gdk-drag_contexts.ads.html#L73"
    },
    {
      "label": "Property_Gdk_Event_Mask",
      "docHref": "docs/gdk.event.html#L784C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L784"
    },
    {
      "label": "Property_Gdk_Event_Type",
      "docHref": "docs/gdk.event.html#L780C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L780"
    },
    {
      "label": "Property_Gdk_Extension_Mode",
      "docHref": "docs/gdk.types.html#L218C9",
      "declared": "Gdk.Types",
      "srcHref": "srcs/gdk-types.ads.html#L218"
    },
    {
      "label": "Property_Gdk_Frame_Clock_Phase",
      "docHref": "docs/gdk.frame_clock.html#L94C9",
      "declared": "Gdk.Frame_Clock",
      "srcHref": "srcs/gdk-frame_clock.ads.html#L94"
    },
    {
      "label": "Property_Gdk_Fullscreen_Mode",
      "docHref": "docs/gdk.window.html#L351C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L351"
    },
    {
      "label": "Property_Gdk_Gravity",
      "docHref": "docs/gdk.window.html#L347C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L347"
    },
    {
      "label": "Property_Gdk_Notify_Type",
      "docHref": "docs/gdk.event.html#L796C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L796"
    },
    {
      "label": "Property_Gdk_Owner_Change",
      "docHref": "docs/gdk.event.html#L816C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L816"
    },
    {
      "label": "Property_Gdk_Property_State",
      "docHref": "docs/gdk.event.html#L804C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L804"
    },
    {
      "label": "Property_Gdk_Scroll_Direction",
      "docHref": "docs/gdk.event.html#L792C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L792"
    },
    {
      "label": "Property_Gdk_Setting_Action",
      "docHref": "docs/gdk.event.html#L812C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L812"
    },
    {
      "label": "Property_Gdk_Visibility_State",
      "docHref": "docs/gdk.event.html#L788C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L788"
    },
    {
      "label": "Property_Gdk_Window_Attributes_Type",
      "docHref": "docs/gdk.window.html#L327C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L327"
    },
    {
      "label": "Property_Gdk_Window_Class",
      "docHref": "docs/gdk.window.html#L315C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L315"
    },
    {
      "label": "Property_Gdk_Window_Edge",
      "docHref": "docs/gdk.window.html#L319C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L319"
    },
    {
      "label": "Property_Gdk_Window_Hints",
      "docHref": "docs/gdk.window.html#L331C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L331"
    },
    {
      "label": "Property_Gdk_Window_State",
      "docHref": "docs/gdk.event.html#L808C9",
      "declared": "Gdk.Event",
      "srcHref": "srcs/gdk-event.ads.html#L808"
    },
    {
      "label": "Property_Gdk_Window_Type",
      "docHref": "docs/gdk.window.html#L323C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L323"
    },
    {
      "label": "Property_Gdk_Window_Type_Hint",
      "docHref": "docs/gdk.window.html#L335C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L335"
    },
    {
      "label": "Property_Gdk_WMDecoration",
      "docHref": "docs/gdk.window.html#L339C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L339"
    },
    {
      "label": "Property_Gdk_WMFunction",
      "docHref": "docs/gdk.window.html#L343C9",
      "declared": "Gdk.Window",
      "srcHref": "srcs/gdk-window.ads.html#L343"
    },
    {
      "label": "Property_GNotification_Priority",
      "docHref": "docs/glib.notification.html#L75C9",
      "declared": "Glib.Notification",
      "srcHref": "srcs/glib-notification.ads.html#L75"
    },
    {
      "label": "Property_GOption_Arg",
      "docHref": "docs/glib.option.html#L135C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L135"
    },
    {
      "label": "Property_GOption_Error",
      "docHref": "docs/glib.option.html#L131C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L131"
    },
    {
      "label": "Property_GOption_Flags",
      "docHref": "docs/glib.option.html#L139C9",
      "declared": "Glib.Option",
      "srcHref": "srcs/glib-option.ads.html#L139"
    },
    {
      "label": "Property_Gravity",
      "docHref": "docs/pango.enums.html#L253C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L253"
    },
    {
      "label": "Property_GravityHint",
      "docHref": "docs/pango.enums.html#L257C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L257"
    },
    {
      "label": "Property_Gtk_Accel_Flags",
      "docHref": "docs/gtk.accel_group.html#L104C9",
      "declared": "Gtk.Accel_Group",
      "srcHref": "srcs/gtk-accel_group.ads.html#L104"
    },
    {
      "label": "Property_Gtk_Accel_Flags",
      "docHref": "docs/gtk.target_list.html#L60C9",
      "declared": "Gtk.Target_List",
      "srcHref": "srcs/gtk-target_list.ads.html#L60"
    },
    {
      "label": "Property_Gtk_Align",
      "docHref": "docs/gtk.widget.html#L483C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L483"
    },
    {
      "label": "Property_Gtk_Application_Inhibit_Flags",
      "docHref": "docs/gtk.application.html#L127C9",
      "declared": "Gtk.Application",
      "srcHref": "srcs/gtk-application.ads.html#L127"
    },
    {
      "label": "Property_Gtk_Arrow_Type",
      "docHref": "docs/gtk.enums.html#L640C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L640"
    },
    {
      "label": "Property_Gtk_Assistant_Page_Type",
      "docHref": "docs/gtk.assistant.html#L107C9",
      "declared": "Gtk.Assistant",
      "srcHref": "srcs/gtk-assistant.ads.html#L107"
    },
    {
      "label": "Property_Gtk_Attach_Options",
      "docHref": "docs/gtk.enums.html#L644C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L644"
    },
    {
      "label": "Property_Gtk_Baseline_Position",
      "docHref": "docs/gtk.enums.html#L680C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L680"
    },
    {
      "label": "Property_Gtk_Button_Box_Style",
      "docHref": "docs/gtk.enums.html#L648C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L648"
    },
    {
      "label": "Property_Gtk_Buttons_Type",
      "docHref": "docs/gtk.message_dialog.html#L119C9",
      "declared": "Gtk.Message_Dialog",
      "srcHref": "srcs/gtk-message_dialog.ads.html#L119"
    },
    {
      "label": "Property_Gtk_Calendar_Display_Options",
      "docHref": "docs/gtk.calendar.html#L102C9",
      "declared": "Gtk.Calendar",
      "srcHref": "srcs/gtk-calendar.ads.html#L102"
    },
    {
      "label": "Property_Gtk_Cell_Renderer_Mode",
      "docHref": "docs/gtk.cell_renderer.html#L119C9",
      "declared": "Gtk.Cell_Renderer",
      "srcHref": "srcs/gtk-cell_renderer.ads.html#L119"
    },
    {
      "label": "Property_Gtk_Cell_Renderer_State",
      "docHref": "docs/gtk.cell_renderer.html#L115C9",
      "declared": "Gtk.Cell_Renderer",
      "srcHref": "srcs/gtk-cell_renderer.ads.html#L115"
    },
    {
      "label": "Property_Gtk_Corner_Type",
      "docHref": "docs/gtk.enums.html#L652C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L652"
    },
    {
      "label": "Property_Gtk_Css_Section_Type",
      "docHref": "docs/gtk.css_section.html#L70C9",
      "declared": "Gtk.Css_Section",
      "srcHref": "srcs/gtk-css_section.ads.html#L70"
    },
    {
      "label": "Property_Gtk_Delete_Type",
      "docHref": "docs/gtk.enums.html#L656C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L656"
    },
    {
      "label": "Property_Gtk_Dest_Defaults",
      "docHref": "docs/gtk.tool_palette.html#L125C9",
      "declared": "Gtk.Tool_Palette",
      "srcHref": "srcs/gtk-tool_palette.ads.html#L125"
    },
    {
      "label": "Property_Gtk_Direction_Type",
      "docHref": "docs/gtk.enums.html#L660C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L660"
    },
    {
      "label": "Property_Gtk_Drag_Result",
      "docHref": "docs/gtk.enums.html#L664C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L664"
    },
    {
      "label": "Property_Gtk_Entry_Icon_Position",
      "docHref": "docs/gtk.gentry.html#L116C9",
      "declared": "Gtk.GEntry",
      "srcHref": "srcs/gtk-gentry.ads.html#L116"
    },
    {
      "label": "Property_Gtk_Event_Sequence_State",
      "docHref": "docs/gtk.enums.html#L736C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L736"
    },
    {
      "label": "Property_Gtk_Expander_Style",
      "docHref": "docs/gtk.enums.html#L668C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L668"
    },
    {
      "label": "Property_Gtk_File_Chooser_Action",
      "docHref": "docs/gtk.file_chooser.html#L185C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L185"
    },
    {
      "label": "Property_Gtk_File_Chooser_Confirmation",
      "docHref": "docs/gtk.file_chooser.html#L189C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L189"
    },
    {
      "label": "Property_Gtk_File_Chooser_Error",
      "docHref": "docs/gtk.file_chooser.html#L193C9",
      "declared": "Gtk.File_Chooser",
      "srcHref": "srcs/gtk-file_chooser.ads.html#L193"
    },
    {
      "label": "Property_Gtk_File_Filter_Flags",
      "docHref": "docs/gtk.file_filter.html#L113C9",
      "declared": "Gtk.File_Filter",
      "srcHref": "srcs/gtk-file_filter.ads.html#L113"
    },
    {
      "label": "Property_Gtk_Icon_Lookup_Flags",
      "docHref": "docs/gtk.icon_theme.html#L125C9",
      "declared": "Gtk.Icon_Theme",
      "srcHref": "srcs/gtk-icon_theme.ads.html#L125"
    },
    {
      "label": "Property_Gtk_Icon_Size",
      "docHref": "docs/gtk.enums.html#L672C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L672"
    },
    {
      "label": "Property_Gtk_Icon_View_Drop_Position",
      "docHref": "docs/gtk.icon_view.html#L109C9",
      "declared": "Gtk.Icon_View",
      "srcHref": "srcs/gtk-icon_view.ads.html#L109"
    },
    {
      "label": "Property_Gtk_Image_Type",
      "docHref": "docs/gtk.image.html#L134C9",
      "declared": "Gtk.Image",
      "srcHref": "srcs/gtk-image.ads.html#L134"
    },
    {
      "label": "Property_Gtk_Input_Hints",
      "docHref": "docs/gtk.enums.html#L696C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L696"
    },
    {
      "label": "Property_Gtk_Input_Purpose",
      "docHref": "docs/gtk.enums.html#L700C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L700"
    },
    {
      "label": "Property_Gtk_Junction_Sides",
      "docHref": "docs/gtk.enums.html#L676C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L676"
    },
    {
      "label": "Property_Gtk_Justification",
      "docHref": "docs/gtk.enums.html#L684C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L684"
    },
    {
      "label": "Property_Gtk_Level_Bar_Mode",
      "docHref": "docs/gtk.enums.html#L740C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L740"
    },
    {
      "label": "Property_Gtk_License",
      "docHref": "docs/gtk.about_dialog.html#L104C9",
      "declared": "Gtk.About_Dialog",
      "srcHref": "srcs/gtk-about_dialog.ads.html#L104"
    },
    {
      "label": "Property_Gtk_Menu_Direction_Type",
      "docHref": "docs/gtk.enums.html#L688C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L688"
    },
    {
      "label": "Property_Gtk_Message_Type",
      "docHref": "docs/gtk.message_dialog.html#L115C9",
      "declared": "Gtk.Message_Dialog",
      "srcHref": "srcs/gtk-message_dialog.ads.html#L115"
    },
    {
      "label": "Property_Gtk_Movement_Step",
      "docHref": "docs/gtk.enums.html#L692C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L692"
    },
    {
      "label": "Property_Gtk_Notebook_Tab",
      "docHref": "docs/gtk.notebook.html#L87C9",
      "declared": "Gtk.Notebook",
      "srcHref": "srcs/gtk-notebook.ads.html#L87"
    },
    {
      "label": "Property_Gtk_Number_Up_Layout",
      "docHref": "docs/gtk.enums.html#L704C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L704"
    },
    {
      "label": "Property_Gtk_Orientation",
      "docHref": "docs/gtk.enums.html#L708C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L708"
    },
    {
      "label": "Property_Gtk_Pack_Direction",
      "docHref": "docs/gtk.enums.html#L712C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L712"
    },
    {
      "label": "Property_Gtk_Pack_Type",
      "docHref": "docs/gtk.enums.html#L716C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L716"
    },
    {
      "label": "Property_Gtk_Page_Orientation",
      "docHref": "docs/gtk.enums.html#L720C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L720"
    },
    {
      "label": "Property_Gtk_Page_Set",
      "docHref": "docs/gtk.enums.html#L724C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L724"
    },
    {
      "label": "Property_Gtk_Pan_Direction",
      "docHref": "docs/gtk.enums.html#L728C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L728"
    },
    {
      "label": "Property_Gtk_Path_Priority_Type",
      "docHref": "docs/gtk.enums.html#L744C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L744"
    },
    {
      "label": "Property_Gtk_Path_Type",
      "docHref": "docs/gtk.enums.html#L748C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L748"
    },
    {
      "label": "Property_Gtk_Policy_Type",
      "docHref": "docs/gtk.enums.html#L752C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L752"
    },
    {
      "label": "Property_Gtk_Position_Type",
      "docHref": "docs/gtk.enums.html#L756C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L756"
    },
    {
      "label": "Property_Gtk_Print_Duplex",
      "docHref": "docs/gtk.enums.html#L760C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L760"
    },
    {
      "label": "Property_Gtk_Print_Error",
      "docHref": "docs/gtk.print_operation.html#L159C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L159"
    },
    {
      "label": "Property_Gtk_Print_Operation_Action",
      "docHref": "docs/gtk.print_operation.html#L155C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L155"
    },
    {
      "label": "Property_Gtk_Print_Operation_Result",
      "docHref": "docs/gtk.print_operation.html#L151C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L151"
    },
    {
      "label": "Property_Gtk_Print_Pages",
      "docHref": "docs/gtk.enums.html#L764C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L764"
    },
    {
      "label": "Property_Gtk_Print_Quality",
      "docHref": "docs/gtk.enums.html#L768C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L768"
    },
    {
      "label": "Property_Gtk_Print_Status",
      "docHref": "docs/gtk.print_operation.html#L147C9",
      "declared": "Gtk.Print_Operation",
      "srcHref": "srcs/gtk-print_operation.ads.html#L147"
    },
    {
      "label": "Property_Gtk_Propagation_Phase",
      "docHref": "docs/gtk.enums.html#L732C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L732"
    },
    {
      "label": "Property_Gtk_Recent_Filter_Flags",
      "docHref": "docs/gtk.recent_filter.html#L129C9",
      "declared": "Gtk.Recent_Filter",
      "srcHref": "srcs/gtk-recent_filter.ads.html#L129"
    },
    {
      "label": "Property_Gtk_Recent_Sort_Type",
      "docHref": "docs/gtk.recent_chooser.html#L75C9",
      "declared": "Gtk.Recent_Chooser",
      "srcHref": "srcs/gtk-recent_chooser.ads.html#L75"
    },
    {
      "label": "Property_Gtk_Region_Flags",
      "docHref": "docs/gtk.enums.html#L772C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L772"
    },
    {
      "label": "Property_Gtk_Relief_Style",
      "docHref": "docs/gtk.enums.html#L776C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L776"
    },
    {
      "label": "Property_Gtk_Resize_Mode",
      "docHref": "docs/gtk.enums.html#L780C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L780"
    },
    {
      "label": "Property_Gtk_Revealer_Transition_Type",
      "docHref": "docs/gtk.revealer.html#L69C9",
      "declared": "Gtk.Revealer",
      "srcHref": "srcs/gtk-revealer.ads.html#L69"
    },
    {
      "label": "Property_Gtk_Scroll_Step",
      "docHref": "docs/gtk.enums.html#L784C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L784"
    },
    {
      "label": "Property_Gtk_Scroll_Type",
      "docHref": "docs/gtk.enums.html#L788C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L788"
    },
    {
      "label": "Property_Gtk_Scrollable_Policy",
      "docHref": "docs/gtk.enums.html#L792C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L792"
    },
    {
      "label": "Property_Gtk_Selection_Mode",
      "docHref": "docs/gtk.enums.html#L796C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L796"
    },
    {
      "label": "Property_Gtk_Sensitivity_Type",
      "docHref": "docs/gtk.enums.html#L800C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L800"
    },
    {
      "label": "Property_Gtk_Shadow_Type",
      "docHref": "docs/gtk.enums.html#L804C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L804"
    },
    {
      "label": "Property_Gtk_Size_Request_Mode",
      "docHref": "docs/gtk.enums.html#L808C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L808"
    },
    {
      "label": "Property_Gtk_Sort_Type",
      "docHref": "docs/gtk.enums.html#L812C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L812"
    },
    {
      "label": "Property_Gtk_Spin_Button_Update_Policy",
      "docHref": "docs/gtk.spin_button.html#L136C9",
      "declared": "Gtk.Spin_Button",
      "srcHref": "srcs/gtk-spin_button.ads.html#L136"
    },
    {
      "label": "Property_Gtk_Spin_Type",
      "docHref": "docs/gtk.spin_button.html#L132C9",
      "declared": "Gtk.Spin_Button",
      "srcHref": "srcs/gtk-spin_button.ads.html#L132"
    },
    {
      "label": "Property_Gtk_Stack_Transition_Type",
      "docHref": "docs/gtk.stack.html#L87C9",
      "declared": "Gtk.Stack",
      "srcHref": "srcs/gtk-stack.ads.html#L87"
    },
    {
      "label": "Property_Gtk_State_Flags",
      "docHref": "docs/gtk.enums.html#L816C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L816"
    },
    {
      "label": "Property_Gtk_State_Type",
      "docHref": "docs/gtk.enums.html#L820C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L820"
    },
    {
      "label": "Property_Gtk_Target_Flags",
      "docHref": "docs/gtk.enums.html#L824C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L824"
    },
    {
      "label": "Property_Gtk_Text_Direction",
      "docHref": "docs/gtk.enums.html#L828C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L828"
    },
    {
      "label": "Property_Gtk_Text_Search_Flags",
      "docHref": "docs/gtk.text_iter.html#L72C9",
      "declared": "Gtk.Text_Iter",
      "srcHref": "srcs/gtk-text_iter.ads.html#L72"
    },
    {
      "label": "Property_Gtk_Text_View_Layer",
      "docHref": "docs/gtk.text_view.html#L73C9",
      "declared": "Gtk.Text_View",
      "srcHref": "srcs/gtk-text_view.ads.html#L73"
    },
    {
      "label": "Property_Gtk_Text_Window_Type",
      "docHref": "docs/gtk.enums.html#L832C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L832"
    },
    {
      "label": "Property_Gtk_Tool_Palette_Drag_Targets",
      "docHref": "docs/gtk.tool_palette.html#L129C9",
      "declared": "Gtk.Tool_Palette",
      "srcHref": "srcs/gtk-tool_palette.ads.html#L129"
    },
    {
      "label": "Property_Gtk_Toolbar_Space_Style",
      "docHref": "docs/gtk.enums.html#L840C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L840"
    },
    {
      "label": "Property_Gtk_Toolbar_Style",
      "docHref": "docs/gtk.enums.html#L844C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L844"
    },
    {
      "label": "Property_Gtk_Tree_View_Column_Sizing",
      "docHref": "docs/gtk.tree_view_column.html#L94C9",
      "declared": "Gtk.Tree_View_Column",
      "srcHref": "srcs/gtk-tree_view_column.ads.html#L94"
    },
    {
      "label": "Property_Gtk_Tree_View_Drop_Position",
      "docHref": "docs/gtk.tree_view.html#L203C9",
      "declared": "Gtk.Tree_View",
      "srcHref": "srcs/gtk-tree_view.ads.html#L203"
    },
    {
      "label": "Property_Gtk_Tree_View_Grid_Lines",
      "docHref": "docs/gtk.enums.html#L836C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L836"
    },
    {
      "label": "Property_Gtk_Unit",
      "docHref": "docs/gtk.enums.html#L848C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L848"
    },
    {
      "label": "Property_Gtk_Widget_Help_Type",
      "docHref": "docs/gtk.widget.html#L487C9",
      "declared": "Gtk.Widget",
      "srcHref": "srcs/gtk-widget.ads.html#L487"
    },
    {
      "label": "Property_Gtk_Window_Position",
      "docHref": "docs/gtk.enums.html#L852C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L852"
    },
    {
      "label": "Property_Gtk_Window_Type",
      "docHref": "docs/gtk.enums.html#L856C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L856"
    },
    {
      "label": "Property_Gtk_Wrap_Mode",
      "docHref": "docs/gtk.enums.html#L860C9",
      "declared": "Gtk.Enums",
      "srcHref": "srcs/gtk-enums.ads.html#L860"
    },
    {
      "label": "Property_GVariant_Class",
      "docHref": "docs/glib.variant.html#L305C9",
      "declared": "Glib.Variant",
      "srcHref": "srcs/glib-variant.ads.html#L305"
    },
    {
      "label": "Property_Id",
      "docHref": "docs/glib.properties.creation.html#L403C9",
      "declared": "Glib.Properties.Creation",
      "srcHref": "srcs/glib-properties-creation.ads.html#L403"
    },
    {
      "label": "Property_Int",
      "docHref": "docs/glib.properties.html#L106C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L106"
    },
    {
      "label": "Property_Interface",
      "docHref": "docs/glib.properties.html#L115C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L115"
    },
    {
      "label": "Property_Long",
      "docHref": "docs/glib.properties.html#L110C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L110"
    },
    {
      "label": "Property_Long_RO",
      "docHref": "docs/glib.properties.html#L109C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L109"
    },
    {
      "label": "Property_Manager_Item_Type",
      "docHref": "docs/gtk.ui_manager.html#L242C9",
      "declared": "Gtk.UI_Manager",
      "srcHref": "srcs/gtk-ui_manager.ads.html#L242"
    },
    {
      "label": "Property_Object",
      "docHref": "docs/glib.properties.html#L120C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L120"
    },
    {
      "label": "Property_Object_WO",
      "docHref": "docs/glib.properties.html#L121C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L121"
    },
    {
      "label": "Property_Pango_Ellipsize_Mode",
      "docHref": "docs/pango.layout.html#L102C9",
      "declared": "Pango.Layout",
      "srcHref": "srcs/pango-layout.ads.html#L102"
    },
    {
      "label": "Property_Pango_Script",
      "docHref": "docs/pango.language.html#L245C9",
      "declared": "Pango.Language",
      "srcHref": "srcs/pango-language.ads.html#L245"
    },
    {
      "label": "Property_Pango_Tab_Align",
      "docHref": "docs/pango.tabs.html#L56C9",
      "declared": "Pango.Tabs",
      "srcHref": "srcs/pango-tabs.ads.html#L56"
    },
    {
      "label": "Property_RGBA",
      "docHref": "docs/gdk.rgba.html#L125C9",
      "declared": "Gdk.RGBA",
      "srcHref": "srcs/gdk-rgba.ads.html#L125"
    },
    {
      "label": "Property_RO",
      "docHref": "docs/glib.generic_properties.html#L67C12",
      "declared": "Glib.Generic_Properties.Generic_Internal_Discrete_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L67"
    },
    {
      "label": "Property_RO",
      "docHref": "docs/glib.generic_properties.html#L115C12",
      "declared": "Glib.Generic_Properties.Generic_Enumeration_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L115"
    },
    {
      "label": "Property_RO",
      "docHref": "docs/glib.generic_properties.html#L179C12",
      "declared": "Glib.Generic_Properties.Generic_Internal_Boxed_Property",
      "srcHref": "srcs/glib-generic_properties.ads.html#L179"
    },
    {
      "label": "Property_Size_Group_Mode",
      "docHref": "docs/gtk.size_group.html#L120C9",
      "declared": "Gtk.Size_Group",
      "srcHref": "srcs/gtk-size_group.ads.html#L120"
    },
    {
      "label": "Property_Stretch",
      "docHref": "docs/pango.enums.html#L261C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L261"
    },
    {
      "label": "Property_String",
      "docHref": "docs/glib.properties.html#L118C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L118"
    },
    {
      "label": "Property_String_RO",
      "docHref": "docs/glib.properties.html#L116C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L116"
    },
    {
      "label": "Property_String_WO",
      "docHref": "docs/glib.properties.html#L117C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L117"
    },
    {
      "label": "Property_Style",
      "docHref": "docs/pango.enums.html#L265C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L265"
    },
    {
      "label": "Property_Tree_Model_Flags",
      "docHref": "docs/gtk.tree_model.html#L249C9",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L249"
    },
    {
      "label": "Property_Uchar",
      "docHref": "docs/glib.properties.html#L104C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L104"
    },
    {
      "label": "Property_Uchar_RO",
      "docHref": "docs/glib.properties.html#L105C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L105"
    },
    {
      "label": "Property_Uint",
      "docHref": "docs/glib.properties.html#L108C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L108"
    },
    {
      "label": "Property_Uint_RO",
      "docHref": "docs/glib.properties.html#L107C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L107"
    },
    {
      "label": "Property_Ulong",
      "docHref": "docs/glib.properties.html#L112C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L112"
    },
    {
      "label": "Property_Ulong_RO",
      "docHref": "docs/glib.properties.html#L111C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L111"
    },
    {
      "label": "Property_Underline",
      "docHref": "docs/pango.enums.html#L269C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L269"
    },
    {
      "label": "Property_Unichar",
      "docHref": "docs/glib.properties.html#L113C9",
      "declared": "Glib.Properties",
      "srcHref": "srcs/glib-properties.ads.html#L113"
    },
    {
      "label": "Property_Variant",
      "docHref": "docs/pango.enums.html#L273C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L273"
    },
    {
      "label": "Property_Weight",
      "docHref": "docs/pango.enums.html#L277C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L277"
    },
    {
      "label": "Property_Wrap_Mode",
      "docHref": "docs/pango.enums.html#L281C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L281"
    },
    {
      "label": "Radio_Action_Entry_Array",
      "docHref": "docs/gtk.action_group.html#L372C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L372"
    },
    {
      "label": "Response_Type_Array",
      "docHref": "docs/gtk.dialog.html#L194C9",
      "declared": "Gtk.Dialog",
      "srcHref": "srcs/gtk-dialog.ads.html#L194"
    },
    {
      "label": "RGB24_Array",
      "docHref": "docs/cairo.image_surface.html#L88C9",
      "declared": "Cairo.Image_Surface",
      "srcHref": "srcs/cairo-image_surface.ads.html#L88"
    },
    {
      "label": "Route_Style",
      "docHref": "docs/gtkada.canvas_view.html#L333C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L333"
    },
    {
      "label": "Selection_Mode",
      "docHref": "docs/gtkada.canvas_view.html#L763C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L763"
    },
    {
      "label": "Short_Array",
      "docHref": "docs/glib.html#L121C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L121"
    },
    {
      "label": "Show_Tabs_Policy_Enum",
      "docHref": "docs/gtkada.mdi.html#L127C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L127"
    },
    {
      "label": "Side_Attachment",
      "docHref": "docs/gtkada.canvas_view.html#L284C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L284"
    },
    {
      "label": "Side_Position",
      "docHref": "docs/gtkada.mdi.html#L278C12",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L278"
    },
    {
      "label": "Signal_Id",
      "docHref": "docs/glib.html#L227C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L227"
    },
    {
      "label": "Signal_Id_Array",
      "docHref": "docs/glib.object.html#L183C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L183"
    },
    {
      "label": "Signal_Name",
      "docHref": "docs/glib.html#L230C9",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L230"
    },
    {
      "label": "Signal_Parameter_Types",
      "docHref": "docs/glib.object.html#L269C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L269"
    },
    {
      "label": "Signal_Return_Types",
      "docHref": "docs/glib.object.html#L285C9",
      "declared": "Glib.Object",
      "srcHref": "srcs/glib-object.ads.html#L285"
    },
    {
      "label": "Size_Group_Mode",
      "docHref": "docs/gtk.size_group.html#L105C9",
      "declared": "Gtk.Size_Group",
      "srcHref": "srcs/gtk-size_group.ads.html#L105"
    },
    {
      "label": "Size_Unit",
      "docHref": "docs/gtkada.canvas_view.html#L1392C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1392"
    },
    {
      "label": "Specific_Direction",
      "docHref": "docs/gtkada.canvas_view.views.html#L428C9",
      "declared": "Gtkada.Canvas_View.Views",
      "srcHref": "srcs/gtkada-canvas_view-views.ads.html#L428"
    },
    {
      "label": "Split_Mode",
      "docHref": "docs/gtkada.mdi.html#L664C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L664"
    },
    {
      "label": "State_Type",
      "docHref": "docs/gtkada.mdi.html#L81C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L81"
    },
    {
      "label": "Stretch",
      "docHref": "docs/pango.enums.html#L150C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L150"
    },
    {
      "label": "Style",
      "docHref": "docs/pango.enums.html#L164C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L164"
    },
    {
      "label": "Symbol_Name",
      "docHref": "docs/gtkada.style.html#L278C9",
      "declared": "Gtkada.Style",
      "srcHref": "srcs/gtkada-style.ads.html#L278"
    },
    {
      "label": "Target_Entry_Array",
      "docHref": "docs/gtk.target_list.html#L135C9",
      "declared": "Gtk.Target_List",
      "srcHref": "srcs/gtk-target_list.ads.html#L135"
    },
    {
      "label": "Text_Arrow_Direction",
      "docHref": "docs/gtkada.canvas_view.html#L1731C9",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L1731"
    },
    {
      "label": "Text_View_Interface_Descr",
      "docHref": "docs/gtk.text_view.html#L1204C12",
      "declared": "Gtk.Text_View",
      "srcHref": "srcs/gtk-text_view.ads.html#L1204"
    },
    {
      "label": "time_t",
      "docHref": "docs/gtk.recent_info.html#L48C12",
      "declared": "Gtk.Recent_Info",
      "srcHref": "srcs/gtk-recent_info.ads.html#L48"
    },
    {
      "label": "Title_Bars_Policy",
      "docHref": "docs/gtkada.mdi.html#L128C9",
      "declared": "Gtkada.MDI",
      "srcHref": "srcs/gtkada-mdi.ads.html#L128"
    },
    {
      "label": "Toggle_Action_Entry_Array",
      "docHref": "docs/gtk.action_group.html#L374C9",
      "declared": "Gtk.Action_Group",
      "srcHref": "srcs/gtk-action_group.ads.html#L374"
    },
    {
      "label": "Tool_Shell_Interface_Descr",
      "docHref": "docs/gtk.tool_shell.html#L202C12",
      "declared": "Gtk.Tool_Shell",
      "srcHref": "srcs/gtk-tool_shell.ads.html#L202"
    },
    {
      "label": "Tree_Drag_Dest_Interface_Descr",
      "docHref": "docs/gtk.tree_drag_dest.html#L117C12",
      "declared": "Gtk.Tree_Drag_Dest",
      "srcHref": "srcs/gtk-tree_drag_dest.ads.html#L117"
    },
    {
      "label": "Tree_Drag_Source_Interface_Descr",
      "docHref": "docs/gtk.tree_drag_source.html#L160C12",
      "declared": "Gtk.Tree_Drag_Source",
      "srcHref": "srcs/gtk-tree_drag_source.ads.html#L160"
    },
    {
      "label": "Tree_Model_Flags",
      "docHref": "docs/gtk.tree_model.html#L199C9",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L199"
    },
    {
      "label": "Tree_Model_Interface_Descr",
      "docHref": "docs/gtk.tree_model.html#L1180C12",
      "declared": "Gtk.Tree_Model",
      "srcHref": "srcs/gtk-tree_model.ads.html#L1180"
    },
    {
      "label": "Tree_Sortable_Interface_Descr",
      "docHref": "docs/gtk.tree_sortable.html#L342C12",
      "declared": "Gtk.Tree_Sortable",
      "srcHref": "srcs/gtk-tree_sortable.ads.html#L342"
    },
    {
      "label": "Unbounded_Array",
      "docHref": "docs/gtkada.c.html#L72C12",
      "declared": "Gtkada.C.Unbounded_Arrays",
      "srcHref": "srcs/gtkada-c.ads.html#L72"
    },
    {
      "label": "Unchecked_Rgb_Buffer",
      "docHref": "docs/gdk.pixbuf.html#L164C9",
      "declared": "Gdk.Pixbuf",
      "srcHref": "srcs/gdk-pixbuf.ads.html#L164"
    },
    {
      "label": "Underline",
      "docHref": "docs/pango.enums.html#L171C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L171"
    },
    {
      "label": "UTF8_String",
      "docHref": "docs/glib.html#L81C12",
      "declared": "Glib",
      "srcHref": "srcs/glib.ads.html#L81"
    },
    {
      "label": "Variant",
      "docHref": "docs/pango.enums.html#L181C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L181"
    },
    {
      "label": "Vertices_Array",
      "docHref": "docs/glib.graphs.html#L50C9",
      "declared": "Glib.Graphs",
      "srcHref": "srcs/glib-graphs.ads.html#L50"
    },
    {
      "label": "View_Coordinate",
      "docHref": "docs/gtkada.canvas_view.html#L224C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L224"
    },
    {
      "label": "Weight",
      "docHref": "docs/pango.enums.html#L187C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L187"
    },
    {
      "label": "Window_Coordinate",
      "docHref": "docs/gtkada.canvas_view.html#L226C12",
      "declared": "Gtkada.Canvas_View",
      "srcHref": "srcs/gtkada-canvas_view.ads.html#L226"
    },
    {
      "label": "Wrap_Mode",
      "docHref": "docs/pango.enums.html#L219C9",
      "declared": "Pango.Enums",
      "srcHref": "srcs/pango-enums.ads.html#L219"
    }
  ]
};