GNATdoc.Documentation = {
  "label": "Glib.Graphs.Layouts.Layered_Layouts",
  "summary": [
  ],
  "description": [
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Dummy_Vertex",
          "line": 40,
          "column": 12,
          "src": "srcs/glib-graphs-layouts.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 40,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "type"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Dummy_Vertex",
                      "href": "docs/standard.html#L40C12"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "is"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "new"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Base_Dummy_Vertex",
                      "href": "docs/standard.html#L34C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "with"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "private"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Type to use for dummy vertices. This parameter can generally be set\n"
                },
                {
                  "kind": "span",
                  "text": "to Base_Dummy_Vertex itself, unless you override\n"
                },
                {
                  "kind": "span",
                  "text": "Replaced_With_Dummy_Vertices and need custom attributes in dummy\n"
                },
                {
                  "kind": "span",
                  "text": "vertices. If you are using a type other than Base_Dummy_Vertex, then\n"
                },
                {
                  "kind": "span",
                  "text": "Set_Position will be called on that vertex\n"
                }
              ]
            }
          ],
          "inherits": [
            {
              "label": "Base_Dummy_Vertex",
              "docHref": "docs/standard.html#L34C9"
            }
          ]
        },
        {
          "label": "Replaced_With_Dummy_Vertices",
          "line": 47,
          "column": 22,
          "src": "srcs/glib-graphs-layouts.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 47,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "           "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Replaced_With_Dummy_Vertices",
                      "href": "docs/standard.html#L47C22"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 48,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Replaced_Edge",
                      "href": "docs/standard.html#L48C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Edge_Access",
                      "href": "docs/glib.graphs.html#L40C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 49,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "         "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Dummies",
                      "href": "docs/standard.html#L49C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Vertices_Array",
                      "href": "docs/glib.graphs.html#L50C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "is"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "null"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "The layout algorithm may have to create dummy vertices to break long\n"
                },
                {
                  "kind": "span",
                  "text": "edges that span multiple layers. This is used to reserve space for\n"
                },
                {
                  "kind": "span",
                  "text": "these edges.\n"
                },
                {
                  "kind": "span",
                  "text": "This procedure is called when a long edge is broken down into smaller\n"
                },
                {
                  "kind": "span",
                  "text": "edges. The edge is replaced with several edges:\n"
                }
              ]
            },
            {
              "kind": "code",
              "children": [
                {
                  "number": 1,
                  "children": [
                    {
                      "kind": "span",
                      "text": "Get_Src (Replaced_Edge) --> Dummies (1) --> Dummies (2) -> ..."
                    }
                  ]
                },
                {
                  "number": 2,
                  "children": [
                    {
                      "kind": "span",
                      "text": "    -> Get_Dest (Replaced_Edge)"
                    }
                  ]
                },
                {
                  "number": 3,
                  "children": [
                    {
                      "kind": "span",
                      "text": ""
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "You can use this procedure if you want to do the same replacement in\n"
                },
                {
                  "kind": "span",
                  "text": "your own graph, perhaps to show the dummy vertices to the user.\n"
                },
                {
                  "kind": "span",
                  "text": "When the procedure is called, the dummy vertices have already been\n"
                },
                {
                  "kind": "span",
                  "text": "allocated (of type Dummy_Vertex), but you might need to further\n"
                },
                {
                  "kind": "span",
                  "text": "initialize them if you have added specific fields.\n"
                }
              ]
            }
          ]
        },
        {
          "label": "Replaced_Edge",
          "line": 48,
          "column": 10,
          "src": "srcs/glib-graphs-layouts.ads.html",
          "summary": [
          ],
          "description": [
          ]
        },
        {
          "label": "Dummies",
          "line": 49,
          "column": 10,
          "src": "srcs/glib-graphs-layouts.ads.html",
          "summary": [
          ],
          "description": [
          ]
        }
      ],
      "label": "Generic formals"
    },
    {
      "entities": [
        {
          "label": "Layout",
          "line": 66,
          "column": 17,
          "src": "srcs/glib-graphs-layouts.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 66,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Layout",
                      "href": "docs/standard.html#L66C17"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 67,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "G",
                      "href": "docs/standard.html#L67C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "in"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "out"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Graph",
                      "href": "docs/glib.graphs.html#L354C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 68,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "         "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Horizontal",
                      "href": "docs/standard.html#L68C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "           "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Boolean"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "True"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 69,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "         "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Space_Between_Layers",
                      "href": "docs/standard.html#L69C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdouble",
                      "href": "docs/glib.html#L61C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "number",
                      "text": "20.0"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 70,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "         "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Space_Between_Items",
                      "href": "docs/standard.html#L70C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Gdouble",
                      "href": "docs/glib.html#L61C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "number",
                      "text": "10.0"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Set the position of the vertices so that they are organized into\n"
                },
                {
                  "kind": "span",
                  "text": "layers.\n"
                },
                {
                  "kind": "span",
                  "text": "For a horizontal layout, a vertex will always be in a column to the\n"
                },
                {
                  "kind": "span",
                  "text": "right of all its ancestor vertices.\n"
                },
                {
                  "kind": "span",
                  "text": "For a vertical layout, a vertex will always be in a row below all its\n"
                },
                {
                  "kind": "span",
                  "text": "ancestor vertices.\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "This code is provided as an example. It might be changed (or even\n"
                },
                {
                  "kind": "span",
                  "text": "removed) in the future.\n"
                },
                {
                  "kind": "span",
                  "text": "Such layout algorithms are heuristics, there is no exact algorithm\n"
                },
                {
                  "kind": "span",
                  "text": "that would give the perfect layout.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "G",
              "line": 67,
              "column": 10,
              "type": {
                "label": "Glib.Graphs.Graph",
                "docHref": "docs/glib.graphs.html#L35C9"
              },
              "description": [
              ]
            },
            {
              "label": "Horizontal",
              "line": 68,
              "column": 10,
              "type": {
                "label": "Boolean"
              },
              "description": [
              ]
            },
            {
              "label": "Space_Between_Layers",
              "line": 69,
              "column": 10,
              "type": {
                "label": "Glib.Gdouble",
                "docHref": "docs/glib.html#L61C9"
              },
              "description": [
              ]
            },
            {
              "label": "Space_Between_Items",
              "line": 70,
              "column": 10,
              "type": {
                "label": "Glib.Gdouble",
                "docHref": "docs/glib.html#L61C9"
              },
              "description": [
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};